﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace KRO.Models
{
    [Serializable]
    public class RegionLine
    {
		public int RegionID { get; private set; }
        public string RegionName { get; set; }
        public string RegionCode { get; set; }
        public string RegionSort { get; set; }
        public long RegionUserFlag { get; set; }
        public RegionLine(int AID, string AName, string ACode, string ASort, long AUserFlag)
        {
            this.RegionID = AID;
            this.RegionName = AName;
            this.RegionCode = ACode;
            this.RegionSort = ASort;
            this.RegionUserFlag = AUserFlag;
        }
        public RegionLine(int AID, string AName, string ACode, string ASort)
		{
            this.RegionID = AID;
            this.RegionName = AName;
            this.RegionCode = ACode;
            this.RegionSort = ASort;
            this.RegionUserFlag = 0;
		}
        public RegionLine()
        {
            this.RegionID = -1;
            this.RegionName = "";
            this.RegionSort = "";
            this.RegionCode = "";
            this.RegionUserFlag = 0;
        }
        public void SetRegionID(int ARegionID)
        {
            if (ARegionID > 0) this.RegionID = ARegionID; else this.RegionID = -1;
        }
    }
}