﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ChangeDepIncludeRegion.aspx.cs" Inherits="KRO.Pages.Directorys.ChangeDepIncludeRegion" MasterPageFile="~/Pages/MasterPage.Master"%>
<%@ PreviousPageType VirtualPath="~/Pages/Directorys/DepIncludeRegionList.aspx"%>

<asp:Content ID="MainHead" runat="server" ContentPlaceHolderID="MainHead">
    <script type="text/javascript" src="../../Scripts/jquery-1.11.2.js"></script>
    <script type="text/javascript"> 
        $(function () {
            $('#ContentPlaceFrameMain_CheckAllRegion').click(function (event) {
                $('span.sscbCheckRead input').prop('checked', true);
                event.preventDefault();
            });
            $('#ContentPlaceFrameMain_UnCheckAllRegion').click(function (event) { 
                $('span.sscbCheckRead input').prop('checked', false);
                event.preventDefault();
            });
        });
    </script>
</asp:Content>
<asp:Content ID="Content0" runat="server" ContentPlaceHolderID="ContentPlaceTitle">
            <asp:Label ID="lblTitlePage" runat="server" Text="- Дирекции филиала"></asp:Label>
</asp:Content>
<asp:Content ID="ContentPlaceFrameMain" runat="server" ContentPlaceHolderID="ContentPlaceFrameMain">
    <div id ="dvGridDepIncludeRegion" style="display: table; margin: 10px auto; text-align: center;">
        <br />
        <table runat="server" style="width: 100%; margin:10px 10px 10px 10px; 
               z-index: inherit;">
            <tr>
                <td class ="tdChangeDepIncludeRegion" style="width: 30%; vertical-align:top">				
                <table runat="server" style="width: 100%; margin:10px 10px 10px 0px; z-index: inherit; text-align: left;">                      
                <tr><td><asp:Label ID="lblDepartmentName" runat="server" Text="Филиал:" CssClass="lblChangeDepIncludeRegion"></asp:Label>&nbsp;
                </td><td><asp:DropDownList ID="ddlDepartment" runat="server" DataTextField="DepartmentName" DataValueField="DepartmentID" Width="300px"></asp:DropDownList>
                </td><td><asp:RequiredFieldValidator ID="rtfDepartment" ControlToValidate="ddlDepartment" runat="server" ErrorMessage="*" ToolTip="Выберите филиал" ForeColor="Red" ValidationGroup="vgApply"></asp:RequiredFieldValidator></td></tr>
				<tr><td><asp:Label ID="lblMounth" runat="server" Text="Месяц:"></asp:Label>
                </td><td><asp:DropDownList ID="ddlMounth" runat="server" DataTextField="MounthName" DataValueField="MounthID"></asp:DropDownList>
                </td><td><asp:RequiredFieldValidator ID="rtfMounth" ControlToValidate="ddlMounth" runat="server" ErrorMessage="*" ToolTip="Выберите месяц" ForeColor="Red" ValidationGroup="vgApply"></asp:RequiredFieldValidator></td></tr>
                <tr><td><asp:Label ID="lblYear" runat="server" Text="Год:"></asp:Label>
                </td><td><asp:DropDownList ID="ddlYear" runat="server" DataTextField="YearName" DataValueField="YearID"></asp:DropDownList>
                </td><td><asp:RequiredFieldValidator ID="rtfYear" ControlToValidate="ddlYear" runat="server" ErrorMessage="*" ToolTip="Выберите год" ForeColor="Red" ValidationGroup="vgApply"></asp:RequiredFieldValidator></td></tr>
				</table>
				<br/>
				&nbsp;<asp:Label ID="lblExecuteError" runat="server" ForeColor="Red" Visible="False" Text="Ошибка сохранения. Проверьте корректность данных."></asp:Label><br/>&nbsp;
                  <table runat="server" style="width: 100%; margin:10px 10px 10px 0px; z-index: inherit;">  
                      <tr><td><asp:Button ID="btnGenLastDirection" runat="server" ValidationGroup="vgApply" Width="100%"  Text="Получить последние настройки" OnClick="btnGenLastDirection_Click"/></td></tr>
                      <tr><td><asp:Button ID="CheckAllRegion" runat="server" ValidationGroup="vgApply" Width="100%"  Text="Выбрать все дирекции"/></td></tr>
                      <tr><td><asp:Button ID="UnCheckAllRegion" runat="server" ValidationGroup="vgApply" Width="100%"  Text="Отменить все дирекции"/></td></tr>
                      <tr><td><asp:Button ID="ButtonApply" runat="server" ValidationGroup="vgApply" Width="100%" OnClick="ButtonApply_Click" Text="Сохранить"/></td></tr>
                      <tr><td><asp:Button ID="ButtonUndo" runat="server" Width="100%"  Text="Отмена" OnClick="ButtonUndo_Click"/></td></tr>
                      <tr><td><asp:Button ID="ButtonCancel" runat="server"  Width="100%" OnClick="ButtonCancel_Click" Text="Назад"/></td></tr>
				   </table>
				</td>
				<td class ="tdChangeDepIncludeRegion" style="text-align:center">
                    <asp:Label ID="GridTitle" runat="server" Text="Дирекции входящие в регион" CssClass="lblChangeUser"></asp:Label><br/>
				
                    <asp:GridView ID="gvDepIncludeRegionCheckList" runat="server" BackColor="White" BorderColor="#9e9e9e"  
                                  BorderStyle="Solid" BorderWidth="1px" ForeColor="Black" GridLines="Vertical" Font-Size="Small" AutoGenerateColumns="False"  
                                  ConvertEmptyStringToNull ="True" DataKeyNames="RegionID" OnRowCreated="gvDepIncludeRegionCheckList_RowCreated"  EmptyDataText="Отсутствуют данные" 
                                  ShowHeaderWhenEmpty="True">
                    <Columns>
                        <asp:TemplateField HeaderText="RegionID" >
                            <ItemTemplate>
                            <asp:Label ID="lblRegionID" runat="server" Text='<%# Eval("RegionID") %>'></asp:Label>
                            </ItemTemplate>
                        <ItemStyle HorizontalAlign="Right" CssClass="ssRowLabelHidden" />
                        </asp:TemplateField>
                        <asp:TemplateField HeaderText="Наименование региона">
                            <ControlStyle Width="250px" />
                            <ItemTemplate>
                                <asp:Label ID="lblRegionName" runat="server" Text='<%# Eval("RegionName") %>'></asp:Label>
                            </ItemTemplate>
                            <ItemStyle HorizontalAlign="Left" CssClass="ssRowLabel" />
                        </asp:TemplateField>
                        <asp:TemplateField HeaderText="Код">
                            <ControlStyle Width="100px" />
                            <ItemTemplate>
                                <asp:Label ID="lblRegionCode" runat="server" Text='<%# Eval("RegionCode") %>'></asp:Label>
                            </ItemTemplate>
                            <ItemStyle HorizontalAlign="Left" CssClass="ssRowLabel" />
                        </asp:TemplateField>                      
                        <asp:TemplateField HeaderText="Сортировка">
                            <ControlStyle Width="100px" />
                            <ItemTemplate>
                                <asp:Label ID="lblRegionSort" runat="server" Text='<%# Eval("RegionSort") %>'></asp:Label>
                            </ItemTemplate>
                            <ItemStyle HorizontalAlign="Left" CssClass="ssRowLabelHidden" />
                        </asp:TemplateField>

                        <asp:TemplateField HeaderText="Наименование дирекции">
                            <ControlStyle Width="300px" />
                            <ItemTemplate>                                
                                <asp:TextBox ID="tbRegionDirection" runat="server" Text='<%# Eval("RegionDirectionName") %>'  CssClass="ssTextBoxDirectionVisible"></asp:TextBox>
                            </ItemTemplate>
                            <ItemStyle HorizontalAlign="Center" CssClass="ssRowLabel" />
                        </asp:TemplateField>  

                        <asp:TemplateField HeaderText="Включен">
                            <ControlStyle Width="90px" />
                            <ItemTemplate>                                
                                <asp:CheckBox ID="cbCheckRegion" runat="server" CssClass="sscbCheckRead" Checked='<%# Eval("RegionDirectionCheckedInPeriod") %>' />
                            </ItemTemplate>
                            <ItemStyle HorizontalAlign="Center" CssClass="ssRowLabelRigth" />
                        </asp:TemplateField>                      
                      </Columns>
                      <HeaderStyle CssClass="ssHeaderUnvisible" />
                    </asp:GridView>
				</td>
            </tr>
        </table>
    </div>
    <div style="display: table; margin: 10px auto; text-align: center;">
        <table>
            <tr>
			<td>
            </td> 
            <td style="text-align: left">
                    <div id="dvDepIncludeRegionMessageFirst" style="margin: 0 auto; text-align: left;"> 
                    </div> 
                    <div id="dvDepIncludeRegionMessageSecond" style="margin: 0 auto; text-align: left;"> 
                    </div>
                    <div id="dvDepIncludeRegionMessageThird" style="margin: 0 auto; text-align: left;"> 
                    </div>
             </td>
             <td>
			 </td>   
			</tr>            
        </table>
    </div>
</asp:Content>
