﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ChangeDepListInPeriod.aspx.cs" Inherits="KRO.Pages.Directorys.ChangeDepListInPeriod" MasterPageFile="~/Pages/MasterPage.Master"%>
<%@ PreviousPageType VirtualPath="~/Pages/Directorys/DepListInPeriodList.aspx"%>

<asp:Content ID="MainHead" runat="server" ContentPlaceHolderID="MainHead">
    <script type="text/javascript" src="../../Scripts/jquery-1.11.2.js"></script>
    <script type="text/javascript">
        $(function () {
            $('#ContentPlaceFrameMain_CheckAllDepartment').click(function (event) {
                $('span.sscbCheckRead input').prop('checked', true);
                event.preventDefault();
            });
            $('#ContentPlaceFrameMain_UnCheckAllDepartment').click(function (event) {
                $('span.sscbCheckRead input').prop('checked', false);
                event.preventDefault();
            });
        });
    </script>
</asp:Content>
<asp:Content ID="Content0" runat="server" ContentPlaceHolderID="ContentPlaceTitle">
            <asp:Label ID="lblTitlePage" runat="server" Text="- Активные филиалы"></asp:Label>
</asp:Content>
<asp:Content ID="ContentPlaceFrameMain" runat="server" ContentPlaceHolderID="ContentPlaceFrameMain">
    <div id ="dvGridDepListInPeriod" style="display: table; margin: 10px auto; text-align: center;">
        <br />
        <table runat="server" style="width: 100%; margin:10px 10px 10px 10px; 
               z-index: inherit;">
            <tr>
                <td class ="tdChangeDepListInPeriod" style="width: 40%; vertical-align:top">				
                <table runat="server" style="width: 100%; margin:10px 10px 10px 0px; z-index: inherit; text-align: left;">                      
                <tr><td><asp:Label ID="lblMounth" runat="server" Text="Месяц:"></asp:Label>
                </td><td><asp:DropDownList ID="ddlMounth" runat="server" DataTextField="MounthName" DataValueField="MounthID"></asp:DropDownList>
                </td><td><asp:RequiredFieldValidator ID="rtfMounth" ControlToValidate="ddlMounth" runat="server" ErrorMessage="*" ToolTip="Выберите месяц" ForeColor="Red" ValidationGroup="vgApply"></asp:RequiredFieldValidator></td></tr>
                <tr><td><asp:Label ID="lblYear" runat="server" Text="Год:"></asp:Label>
                </td><td><asp:DropDownList ID="ddlYear" runat="server" DataTextField="YearName" DataValueField="YearID"></asp:DropDownList>
                </td><td><asp:RequiredFieldValidator ID="rtfYear" ControlToValidate="ddlYear" runat="server" ErrorMessage="*" ToolTip="Выберите год" ForeColor="Red" ValidationGroup="vgApply"></asp:RequiredFieldValidator></td></tr>
				</table>
				<br/>
				&nbsp;<asp:Label ID="lblExecuteError" runat="server" ForeColor="Red" Visible="False" Text="Ошибка сохранения. Проверьте корректность данных."></asp:Label><br/>&nbsp;
                  <table runat="server" style="width: 100%; margin:10px 10px 10px 0px; z-index: inherit;">                      
                      <tr><td><asp:Button ID="btnGenLastDepartment" runat="server" ValidationGroup="vgApply" Width="100%"  Text="Получить последние настройки" OnClick="btnGenLastDepartment_Click"/></td></tr>
                      <tr><td><asp:Button ID="CheckAllDepartment" runat="server" ValidationGroup="vgApply" Width="100%"  Text="Выбрать все филиалы"/></td></tr>
                      <tr><td><asp:Button ID="UnCheckAllDepartment" runat="server" ValidationGroup="vgApply" Width="100%"  Text="Отменить все филиалы"/></td></tr>
                      <tr><td><asp:Button ID="ButtonApply" runat="server" ValidationGroup="vgApply" Width="100%" OnClick="ButtonApply_Click" Text="Сохранить"/></td></tr>
                      <tr><td><asp:Button ID="ButtonUndo" runat="server" Width="100%"  Text="Отмена" OnClick="ButtonUndo_Click"/></td></tr>
                      <tr><td><asp:Button ID="ButtonCancel" runat="server"  Width="100%" OnClick="ButtonCancel_Click" Text="Назад"/></td></tr>
				   </table>
				</td>
				<td class ="tdChangeDepListInPeriod" style="width: 60%; text-align:center">
                    <asp:Label ID="GridTitle" runat="server" Text="Список активных филиалов" CssClass="lblChangeUser"></asp:Label><br/>
				
                    <asp:GridView ID="gvDepListInPeriodCheckList" runat="server" BackColor="White" BorderColor="#9e9e9e"  
                                  BorderStyle="Solid" BorderWidth="1px" ForeColor="Black" GridLines="Vertical" Font-Size="Small" AutoGenerateColumns="False"  
                                  ConvertEmptyStringToNull ="True" DataKeyNames="DepartmentID" OnRowCreated="gvDepListInPeriodCheckList_RowCreated"  EmptyDataText="Отсутствуют данные" 
                                  ShowHeaderWhenEmpty="True">
                    <Columns>
                        <asp:TemplateField HeaderText="DepartmentID" >
                            <ItemTemplate>
                            <asp:Label ID="lblDepartmentID" runat="server" Text='<%# Eval("DepartmentID") %>'></asp:Label>
                            </ItemTemplate>
                        <ItemStyle HorizontalAlign="Right" CssClass="ssRowLabelHidden" />
                        </asp:TemplateField>
                        <asp:TemplateField HeaderText="Наименование филиала">
                            <ControlStyle Width="300px" />
                            <ItemTemplate>
                                <asp:Label ID="lblDepartmentName" runat="server" Text='<%# Eval("DepartmentName") %>'></asp:Label>
                            </ItemTemplate>
                            <ItemStyle HorizontalAlign="Left" CssClass="ssRowLabel" />
                        </asp:TemplateField>
                        <asp:TemplateField HeaderText="Код">
                            <ControlStyle Width="100px" />
                            <ItemTemplate>
                                <asp:Label ID="lblDepartmentCode" runat="server" Text='<%# Eval("DepartmentCode") %>'></asp:Label>
                            </ItemTemplate>
                            <ItemStyle HorizontalAlign="Left" CssClass="ssRowLabel" />
                        </asp:TemplateField>                      
                        <asp:TemplateField HeaderText="Сортировка">
                            <ControlStyle Width="100px" />
                            <ItemTemplate>
                                <asp:Label ID="lblDepartmentSort" runat="server" Text='<%# Eval("DepartmentSort") %>'></asp:Label>
                            </ItemTemplate>
                            <ItemStyle HorizontalAlign="Left" CssClass="ssRowLabelHidden" />
                        </asp:TemplateField>

                        <asp:TemplateField HeaderText="Включен">
                            <ControlStyle Width="90px" />
                            <ItemTemplate>                                
                                <asp:CheckBox ID="cbCheckDepartment" runat="server" CssClass="sscbCheckRead" Checked='<%# Eval("DepartmentIDCheckedInPeriod") %>' />
                            </ItemTemplate>
                            <ItemStyle HorizontalAlign="Center" CssClass="ssRowLabelRigth" />
                        </asp:TemplateField>                      
                      </Columns>
                      <HeaderStyle CssClass="ssHeaderUnvisible" />
                    </asp:GridView>
				</td>
            </tr>
        </table>
    </div>
    <div style="display: table; margin: 10px auto; text-align: center;">
        <table>
            <tr>
			<td>
            </td> 
            <td style="text-align: left">
                    <div id="dvDepListInPeriodMessageFirst" style="margin: 0 auto; text-align: left;"> 
                    </div> 
                    <div id="dvDepListInPeriodMessageSecond" style="margin: 0 auto; text-align: left;"> 
                    </div>
                    <div id="dvDepListInPeriodMessageThird" style="margin: 0 auto; text-align: left;"> 
                    </div>
             </td>
             <td>
			 </td>   
			</tr>            
        </table>
    </div>
</asp:Content>
