﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="MetricList.aspx.cs" Inherits="KRO.Pages.Directorys.MetricList" MasterPageFile="~/Pages/MasterPage.Master"%>
<asp:Content ID="MainHead" runat="server" ContentPlaceHolderID="MainHead">
    <script type="text/javascript" src="../../Scripts/jquery-1.11.2.js"></script>
    <script type="text/javascript">
        $(function () {
            var $window = $(window),
                $dvstickheader = $('#dvGridMetricHeader'),
                dvstickheadertop = $dvstickheader.offset().top;

            $window.scroll(function () {
                $dvstickheader.toggleClass('sticky', $window.scrollTop() > dvstickheadertop);
            });
            $('tr.ssHeader').children().toggleClass('ssHeaderBorderSolidMetric', true);
            $('td.ssRowLabel').children().toggleClass('ssRowLabelOverflow', true);
        });
    </script>
</asp:Content>
<asp:Content ID="Content0" runat="server" ContentPlaceHolderID="ContentPlaceTitle">
            <asp:Label ID="lblTitlePage" runat="server" Text="- Показатели"></asp:Label>
</asp:Content>
<asp:Content ID="ContentPlaceFrameMain" runat="server" ContentPlaceHolderID="ContentPlaceFrameMain">
    <br/>
            <div id ="dvGridMetricHeader" class="dvStickyHeader">
            <table>
            <tr>
				<td style="width:50px">
                </td> 
                <td>		            
            <asp:GridView ID="gvMetricListHeader" runat="server" BackColor="White" BorderColor="#9e9e9e" 
            BorderStyle="Solid" BorderWidth="1px" ForeColor="Black" GridLines="Vertical" Font-Size="Small" AutoGenerateColumns="False"  
            ConvertEmptyStringToNull ="True" DataKeyNames="MetricID" OnDataBound="gvMetricListHeader_DataBound" 
            Width ="100%"  ShowHeaderWhenEmpty="True" OnSelectedIndexChanged="gvMetricsList_SelectedIndexChanged">
            <Columns>
                <asp:TemplateField HeaderText="ID" >
                    <ItemTemplate>
                        <asp:Label ID="lblIDHeader" runat="server" Text='<%# Eval("MetricID") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabelHidden" />
                </asp:TemplateField>                
               <asp:TemplateField HeaderText="№ п/п">
                    <ControlStyle Width="50px" />
                    <ItemTemplate>
                        <asp:Label ID="lblScreenCodeHeader" runat="server" ></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField>  
                <asp:TemplateField HeaderText="Наименование показателя">
                    <ControlStyle Width="400px" />
                    <ItemTemplate>
                        <asp:Label ID="lblNameHeader" runat="server"></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Код">
                    <ControlStyle Width="50px" />
                    <ItemTemplate>
                        <asp:Label ID="lblCodeHeader" runat="server"></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField>
               <asp:TemplateField HeaderText="Сортировка">
                    <ControlStyle Width="80px" />
                    <ItemTemplate>
                        <asp:Label ID="lblSortHeader" runat="server"></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField>                                  
               <asp:TemplateField HeaderText="Хозяйство">
                    <ControlStyle Width="200px" />
                    <ItemTemplate>
                        <asp:Label ID="lblFarmNameHeader" runat="server"></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField>                                 
               <asp:TemplateField HeaderText="Категория">
                    <ControlStyle Width="50px" />
                    <ItemTemplate>
                        <asp:Label ID="lblCategoryNameHeader" runat="server"></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField>

                <asp:TemplateField HeaderText="Вводимый">
                    <ControlStyle Width="50px" />
                    <ItemTemplate>
                        <asp:CheckBox ID="cbCheckWriteHeader" runat="server" CssClass="sscbCheckRead"/>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="center" CssClass="ssRowLabel" />
                </asp:TemplateField> 
                <asp:TemplateField HeaderText="Вычисляемый">
                    <ControlStyle Width="50px" />
                    <ItemTemplate>
                        <asp:CheckBox ID="cbCheckCalculationHeader" runat="server" CssClass="sscbCheckRead"/>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="center" CssClass="ssRowLabel" />
                </asp:TemplateField> 
                <asp:TemplateField HeaderText="Текстовый">
                    <ControlStyle Width="50px" />
                    <ItemTemplate>
                        <asp:CheckBox ID="cbCheckTextRowHeader" runat="server" CssClass="sscbCheckRead"/>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="center" CssClass="ssRowLabel" />
                </asp:TemplateField>

                <asp:CommandField ShowSelectButton="true" ButtonType="Image" SelectImageUrl="~/Images/edit.png" UpdateText="Редактировать">  
                <ControlStyle Width="32px" /><ItemStyle HorizontalAlign="left" CssClass="ssRowLabelImageRigth" /></asp:CommandField>
             </Columns>
            <HeaderStyle CssClass="ssHeaderUnvisible" />
            <SelectedRowStyle CssClass="ssRowLabelSelected"/>
            </asp:GridView>
             </td>
             <td>
			 </td>   
			</tr>    
        </table>
        </div>
        <div id ="dvGridMetric" class="dvStickyGrid">
        <table>
            <tr>
				<td style="width:50px">
                </td> 
                <td>
            <asp:GridView ID="gvMetricsList" runat="server" BackColor="White" BorderColor="#9e9e9e" 
            BorderStyle="Solid" BorderWidth="1px" ForeColor="Black" GridLines="Vertical" Font-Size="Small" AutoGenerateColumns="False"  
            ConvertEmptyStringToNull ="True" DataKeyNames="MetricID"
            Width ="100%" OnSelectedIndexChanged="gvMetricsList_SelectedIndexChanged"
            ShowHeaderWhenEmpty="True">
                <AlternatingRowStyle BackColor="#F7F9FC" />
            <Columns>
                <asp:TemplateField HeaderText="ID" >
                    <ItemTemplate>
                        <asp:Label ID="lblID" runat="server" Text='<%# Eval("MetricID") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabelHidden" />
                </asp:TemplateField>               
               <asp:TemplateField HeaderText="№ п/п">
                    <ControlStyle Width="50px" />
                    <ItemTemplate>
                        <asp:Label ID="lblScreenCode" runat="server" Text='<%# Eval("MetricScreenCode") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField>  
                <asp:TemplateField HeaderText="Наименование">
                    <ControlStyle Width="400px" />
                    <ItemTemplate>
                        <asp:Label ID="lblName" runat="server" Text='<%# Eval("MetricName") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Код">
                    <ControlStyle Width="50px" />
                    <ItemTemplate>
                        <asp:Label ID="lblCode" runat="server" Text='<%# Eval("MetricCode") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField>
               <asp:TemplateField HeaderText="Сортировка">
                    <ControlStyle Width="80px" />
                    <ItemTemplate>
                        <asp:Label ID="lblSort" runat="server" Text='<%# Eval("MetricSort") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField>                 
               <asp:TemplateField HeaderText="Хозяйство">
                    <ControlStyle Width="200px" />
                    <ItemTemplate>
                        <asp:Label ID="lblFarmName" runat="server" Text='<%# Eval("MetricFarmName") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField>                                
               <asp:TemplateField HeaderText="Категория">
                    <ControlStyle Width="50px" />
                    <ItemTemplate>
                        <asp:Label ID="lblCategoryName" runat="server" Text='<%# Eval("MetricCategoryName") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField>

                <asp:TemplateField HeaderText="Вводимый">
                    <ControlStyle Width="50px" />
                    <ItemTemplate>
                        <asp:CheckBox ID="cbCheckWrite" runat="server" CssClass="sscbCheckRead" Checked='<%# Eval("FlagMetricWrite") %>'  Enabled="False"/>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="center" CssClass="ssRowLabel" />
                </asp:TemplateField> 
                <asp:TemplateField HeaderText="Вычисляемый">
                    <ControlStyle Width="50px" />
                    <ItemTemplate>
                        <asp:CheckBox ID="cbCheckCalculation" runat="server" CssClass="sscbCheckRead" Checked='<%# Eval("FlagMetricCalculation") %>'  Enabled="False"/>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="center" CssClass="ssRowLabel" />
                </asp:TemplateField> 
                <asp:TemplateField HeaderText="Текстовый">
                    <ControlStyle Width="50px" />
                    <ItemTemplate>
                        <asp:CheckBox ID="cbCheckTextRow" runat="server" CssClass="sscbCheckRead" Checked='<%# Eval("FlagMetricTextRow") %>'  Enabled="False"/>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="center" CssClass="ssRowLabel" />
                </asp:TemplateField> 

                <asp:CommandField ShowSelectButton="true" ButtonType="Image" SelectImageUrl="~/Images/edit.png" UpdateText="Редактировать">  
                <ControlStyle Width="32px" /><ItemStyle HorizontalAlign="left" CssClass="ssRowLabelImageRigth" /></asp:CommandField>
             </Columns>
            <HeaderStyle CssClass="ssHeaderUnvisible" />
            <SelectedRowStyle CssClass="ssRowLabelSelected"/>
            </asp:GridView>
             </td>
             <td>
			 </td>   
			</tr>    
        </table>
        <br/>
        </div>
</asp:Content>
