﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ReportsParameterList.aspx.cs" Inherits="KRO.Pages.ReportsParameterList" MasterPageFile="~/Pages/MasterPage.Master" %>
<asp:Content ID="MainHead" runat="server" ContentPlaceHolderID="MainHead">
    <script type="text/javascript" src="../Scripts/jquery-1.11.2.js"></script>
    <script type="text/javascript">
        $(function () {
            var $window = $(window),
                $dvstickheader = $('#dvGridReportsParameterHeader');
                dvstickheadertop = $dvstickheader.offset().top

            $window.scroll(function () {
                $dvstickheader.toggleClass('sticky', $window.scrollTop() > dvstickheadertop);
            });

            $('td.ssRowLabel').children().toggleClass('ssRowLabelOverflow', true);
        });
    </script>
</asp:Content>
<asp:Content ID="Content0" runat="server" ContentPlaceHolderID="ContentPlaceTitle">
            <asp:Label ID="lblTitlePage" runat="server" Text="- Ввод данных"></asp:Label>
</asp:Content>
<asp:Content ID="ContentPlaceFrameMain" runat="server" ContentPlaceHolderID="ContentPlaceFrameMain">
        <br/>
       <div id ="dvCheckFilter" style="margin: 10px 0px 10px 50px; text-align: left;">
          <asp:CheckBox ID="cbWithOutEconomicBlock" runat="server" AutoPostBack="True" Text="Отобразить отчеты не подписанные ЦА" CssClass="sscbActualDate" Checked="true" OnCheckedChanged="cbWithOutEconomicBlock_CheckedChanged" />
          <asp:CheckBox ID="cbWithOutFilialBlock" runat="server" AutoPostBack="True" Text="Отобразить отчеты не подписанные филиалом/РЦКУ" CssClass="sscbActualDate" Checked="false" OnCheckedChanged="cbWithOutFilialBlock_CheckedChanged" />
          <asp:CheckBox ID="cbWithOutRegionBlock" runat="server" AutoPostBack="True" Text="Отобразить отчеты не подписанные региональной дирекцией" CssClass="sscbActualDate" Checked="false" OnCheckedChanged="cbWithOutRegionBlock_CheckedChanged" /> 
          <br/>
          <asp:Label ID="lblReportError" runat="server" ForeColor="Red" Visible="False" Text="Не корректные данные отчета. Операция отменена."></asp:Label>                          
       </div>
        <div id ="dvGridReportsParameterHeader" class="dvStickyHeader">
            <table>
            <tr>
				<td style="width:5%">
                </td> 
                <td>		            
            <asp:GridView ID="gvReportsParameterHeader" runat="server" BackColor="White" BorderColor="#9e9e9e" 
            BorderStyle="Solid" BorderWidth="1px" ForeColor="Black" GridLines="Vertical" Font-Size="Small" AutoGenerateColumns="False"  
            ConvertEmptyStringToNull ="True" DataKeyNames="ReportParameterID" OnDataBound="gvReportsParameterHeader_DataBound"
            Width ="100%"  ShowHeaderWhenEmpty="True">
            <Columns>
                <asp:TemplateField HeaderText="ID" >
                    <ItemTemplate>
                        <asp:Label ID="lblID" runat="server" Text='<%# Eval("ReportParameterID") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabelHidden" />
                </asp:TemplateField>
               <asp:TemplateField HeaderText="YearID">
                    <ItemTemplate>
                        <asp:Label ID="lblYearID" runat="server" Text='<%# Eval("YearID") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabelHidden" />
                </asp:TemplateField>               
               <asp:TemplateField HeaderText="Год">
                    <ControlStyle Width="30px" />
                    <ItemTemplate>
                        <asp:Label ID="lblYearName" runat="server" Text='<%# Eval("YearName") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField>           
                <asp:TemplateField HeaderText="MonthID">
                    <ItemTemplate>
                        <asp:Label ID="lblMonthID" runat="server" Text='<%# Eval("MonthID") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabelHidden" />
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Месяц">
                    <ControlStyle Width="50px" />
                    <ItemTemplate>
                        <asp:Label ID="lblMonthName" runat="server" Text='<%# Eval("MonthName") %>'></asp:Label>
                     </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField>  
                <asp:TemplateField HeaderText="DepartmentID">
                    <ItemTemplate>
                        <asp:Label ID="lblDepartmentID" runat="server" Text='<%# Eval("DepartmentID") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabelHidden" />
                </asp:TemplateField>
               <asp:TemplateField HeaderText="Код">
                    <ItemTemplate>
                        <asp:Label ID="lblDepartmentCode" runat="server" Text='<%# Eval("DepartmentCode") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabelHidden" />
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Департамент">
                    <ControlStyle Width="200px" />
                    <ItemTemplate>
                        <asp:Label ID="lblDepartmentName" runat="server" Text='<%# Eval("DepartmentName") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField>
                <asp:TemplateField HeaderText="DepartmentCategory">
                    <ItemTemplate>
                        <asp:Label ID="lblDepartmentCategory" runat="server" Text='<%# Eval("DepartmentCategory") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabelHidden" />
                </asp:TemplateField>
                <asp:TemplateField HeaderText="DepartmentSort">
                    <ItemTemplate>
                        <asp:Label ID="lblDepartmentSort" runat="server" Text='<%# Eval("DepartmentSort") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabelHidden" />
                </asp:TemplateField>
               <asp:TemplateField HeaderText="TypeID">
                    <ItemTemplate>
                        <asp:Label ID="lblTypeID" runat="server" Text='<%# Eval("TypeID") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabelHidden" />
                </asp:TemplateField> 
               <asp:TemplateField HeaderText="Отчет">
                    <ControlStyle Width="250px" />
                    <ItemTemplate>
                        <asp:Label ID="lblTypeReportName" runat="server" Text='<%# Eval("TypeReportName") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField> 
               <asp:TemplateField HeaderText="Тип">
                    <ControlStyle Width="80px" />
                    <ItemTemplate>
                        <asp:Label ID="lblViewType" runat="server" Text='<%# Eval("ViewType") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField>                    
                <asp:TemplateField HeaderText="ContractorID">
                    <ItemTemplate>
                        <asp:Label ID="lblContractorID" runat="server" Text='<%# Eval("ContractorID") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabelHidden" />
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Примечание">
                    <ControlStyle Width="250px" />
                    <ItemTemplate>
                        <asp:Label ID="lblComment" runat="server" Text='<%# Eval("Comment") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField>
                <asp:TemplateField HeaderText="ReportFlag">
                    <ItemTemplate>
                        <asp:Label ID="lblReportFlag" runat="server" Text='<%# Eval("ReportFlag") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabelHidden" />
                </asp:TemplateField>
                <asp:CommandField ShowSelectButton="true" ButtonType="Image" SelectImageUrl="~/Images/edit.png" UpdateText="Редактировать">  
                <ControlStyle Width="32px" /><ItemStyle HorizontalAlign="left" CssClass="ssRowLabelImage" /></asp:CommandField>
                <asp:TemplateField HeaderText="Показать">
	            <ControlStyle Width="32px" />
	                <ItemTemplate>
		            <asp:ImageButton ID="ImageShowReport" runat="server"
			            ImageUrl="~/Images/report.png"
                        CommandName="ShowReportHidden"
                        CommandArgument='<%# Eval("ReportParameterID") %>'/>
	                </ItemTemplate>
                <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
               </asp:TemplateField> 
                <asp:TemplateField HeaderText="Отправка">
	            <ControlStyle Width="32px" />
	            <ItemTemplate>
		            <asp:ImageButton ID="ImageBlockReport" runat="server"
			            ImageUrl="~/Images/unlock.png"
                        CommandName="BlockReport"
                        CommandArgument='<%# Eval("ReportParameterID") %>'/>
	            </ItemTemplate>
                <ItemStyle HorizontalAlign="left" CssClass="ssRowLabelImageRigth" />
               </asp:TemplateField>                         
            </Columns>
            <HeaderStyle CssClass="ssHeaderUnvisible" />
            <SelectedRowStyle CssClass="ssRowLabelSelected"/>
            </asp:GridView>
             </td>
             <td style="width:5%">
			 </td>   
			</tr>    
        </table>
        </div>
        <div id ="dvGridReportsParameter" class="dvStickyGrid">
        <table>
            <tr>
				<td style="width:5%">
                </td> 
                <td>
            <asp:GridView ID="gvReportsParameterList" runat="server" BackColor="White" BorderColor="#9e9e9e" 
            BorderStyle="Solid" BorderWidth="1px" ForeColor="Black" GridLines="Vertical" Font-Size="Small" AutoGenerateColumns="False"  
            ConvertEmptyStringToNull ="True" DataKeyNames="ReportParameterID" OnRowDataBound="gvReportsParameterList_RowDataBound"
            Width ="100%" OnSelectedIndexChanged="gvReportsParameterList_SelectedIndexChanged"
            EmptyDataText="Отсутствуют данные" ShowHeaderWhenEmpty="True" OnRowCommand="gvReportsParameterList_RowCommand">
                <AlternatingRowStyle BackColor="#F7F9FC" />
            <Columns>
                <asp:TemplateField HeaderText="ID" >
                    <ItemTemplate>
                        <asp:Label ID="lblID" runat="server" Text='<%# Eval("ReportParameterID") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabelHidden" />
                </asp:TemplateField>
               <asp:TemplateField HeaderText="YearID">
                    <ItemTemplate>
                        <asp:Label ID="lblYearID" runat="server" Text='<%# Eval("YearID") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabelHidden" />
                </asp:TemplateField>               
               <asp:TemplateField HeaderText="Год">
                    <ControlStyle Width="30px" />
                    <ItemTemplate>
                        <asp:Label ID="lblYearName" runat="server" Text='<%# Eval("YearName") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField>           
                <asp:TemplateField HeaderText="MonthID">
                    <ItemTemplate>
                        <asp:Label ID="lblMonthID" runat="server" Text='<%# Eval("MonthID") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabelHidden" />
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Месяц">
                    <ControlStyle Width="50px" />
                    <ItemTemplate>
                        <asp:Label ID="lblMonthName" runat="server" Text='<%# Eval("MonthName") %>'></asp:Label>
                     </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField>  
                <asp:TemplateField HeaderText="DepartmentID">
                    <ItemTemplate>
                        <asp:Label ID="lblDepartmentID" runat="server" Text='<%# Eval("DepartmentID") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabelHidden" />
                </asp:TemplateField>
               <asp:TemplateField HeaderText="Код">
                    <ItemTemplate>
                        <asp:Label ID="lblDepartmentCode" runat="server" Text='<%# Eval("DepartmentCode") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabelHidden" />
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Департамент">
                    <ControlStyle Width="200px" />
                    <ItemTemplate>
                        <asp:Label ID="lblDepartmentName" runat="server" Text='<%# Eval("DepartmentName") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField>
                <asp:TemplateField HeaderText="DepartmentCategory">
                    <ItemTemplate>
                        <asp:Label ID="lblDepartmentCategory" runat="server" Text='<%# Eval("DepartmentCategory") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabelHidden" />
                </asp:TemplateField>
                <asp:TemplateField HeaderText="DepartmentSort">
                    <ItemTemplate>
                        <asp:Label ID="lblDepartmentSort" runat="server" Text='<%# Eval("DepartmentSort") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabelHidden" />
                </asp:TemplateField>
               <asp:TemplateField HeaderText="TypeID">
                    <ItemTemplate>
                        <asp:Label ID="lblTypeID" runat="server" Text='<%# Eval("TypeID") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabelHidden" />
                </asp:TemplateField> 
               <asp:TemplateField HeaderText="Тип отчета">
                    <ControlStyle Width="250px" />
                    <ItemTemplate>
                        <asp:Label ID="lblTypeReportName" runat="server" Text='<%# Eval("TypeReportName") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField> 
               <asp:TemplateField HeaderText="Тип">
                    <ControlStyle Width="80px" />
                    <ItemTemplate>
                        <asp:Label ID="lblViewType" runat="server" Text='<%# Eval("ViewType") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField> 

                <asp:TemplateField HeaderText="РД">
                    <ControlStyle Width="60px" />
                    <ItemTemplate>
                        <asp:CheckBox ID="cbCheckRegion" runat="server" CssClass="sscbCheckRead" Checked='<%# Eval("ReportIsCheckRegion") %>' Enabled="False"/>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="center" CssClass="ssRowLabel" />
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Ф/РЦКУ">
                    <ControlStyle Width="60px" />
                    <ItemTemplate>
                        <asp:CheckBox ID="cbCheckFilial" runat="server" CssClass="sscbCheckRead" Checked='<%# Eval("ReportIsCheckFilial") %>' Enabled="False"/>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="center" CssClass="ssRowLabel" />
                </asp:TemplateField>
                <asp:TemplateField HeaderText="ЦА">
                    <ControlStyle Width="60px" />
                    <ItemTemplate>
                        <asp:CheckBox ID="cbCheckEconomic" runat="server" CssClass="sscbCheckRead" Checked='<%# Eval("ReportIsCheckEconomic") %>' Enabled="False"/>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="center" CssClass="ssRowLabel" />
                </asp:TemplateField>
                <asp:TemplateField HeaderText="ContractorID">
                    <ItemTemplate>
                        <asp:Label ID="lblContractorID" runat="server" Text='<%# Eval("ContractorID") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabelHidden" />
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Примечание">
                    <ControlStyle Width="250px" />
                    <ItemTemplate>
                        <asp:Label ID="lblComment" runat="server" Text='<%# Eval("Comment") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField>
                <asp:TemplateField HeaderText="ReportFlag">
                    <ItemTemplate>
                        <asp:Label ID="lblReportFlag" runat="server" Text='<%# Eval("ReportFlag") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabelHidden" />
                </asp:TemplateField>
                <asp:CommandField ShowSelectButton="true" ButtonType="Image" SelectImageUrl="~/Images/edit.png" UpdateText="Редактировать">  
                <ControlStyle Width="32px" /><ItemStyle HorizontalAlign="left" CssClass="ssRowLabelImage" /></asp:CommandField>
                <asp:TemplateField HeaderText="Показать">
	            <ControlStyle Width="32px" />
	            <ItemTemplate>
		            <asp:ImageButton ID="ImageShowReport" runat="server"
			            ImageUrl="~/Images/report.png"
                        CommandName="ShowReport"
                        CommandArgument='<%# Eval("ReportParameterID") %>'/>
	            </ItemTemplate>
                <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
               </asp:TemplateField>
                <asp:TemplateField HeaderText="Отправка">
	            <ControlStyle Width="32px" />
	            <ItemTemplate>
		            <asp:ImageButton ID="ImageBlockReport" runat="server"
			            ImageUrl="~/Images/unlock.png"
                        CommandName="BlockReport"
                        CommandArgument='<%# Eval("ReportParameterID") %>'/>
	            </ItemTemplate>
                <ItemStyle HorizontalAlign="left" CssClass="ssRowLabelImageRigth" />
               </asp:TemplateField>                      
            </Columns>
            <HeaderStyle CssClass="ssHeaderUnvisible" />
            <SelectedRowStyle CssClass="ssRowLabelSelected"/>
            </asp:GridView>
             </td>
             <td style="width:5%">
			 </td>   
			</tr>    
        </table>
        </div>
</asp:Content>

