﻿namespace KRO
{
	public static class Constants
	{
		#region Pages
        // доступна для всех пользователей
		public const string LOGIN_PAGE_URL = "~/Pages/Login.aspx";
		public const string LOGIN_PAGE_NAME = "Login.aspx";
        public const string LOGIN_PAGE_SHORT_NAME = "Login";
        public const string LOGIN_PAGE_TITLE_NAME = "Аунтефикация";
        // доступна зарегистрированным  пользователям кроме адмистраторов 
		public const string METRICS_LIST_PAGE_URL = "~/Pages/MetricsList.aspx";
		public const string METRICS_LIST_PAGE_NAME = "MetricsList.aspx";
        public const string METRICS_LIST_PAGE_SHORT_NAME = "MetricsList";
        public const string METRICS_LIST_PAGE_TITLE_NAME = "Редактирование отчета";
        // доступна зарегистрированным  пользователям кроме адмистраторов 
        public const string CHANGE_REPORTPARAMETERBLOCK_PAGE_URL = "~/Pages/Directorys/ChangeReportParameterBlock.aspx";
        public const string CHANGE_REPORTPARAMETERBLOCK_PAGE_NAME = "Directorys/ChangeReportParameterBlock.aspx";
        public const string CHANGE_REPORTPARAMETERBLOCK_PAGE_SHORT_NAME = "Directorys/ChangeReportParameterBlock";
        public const string CHANGE_REPORTPARAMETERBLOCK_PAGE_TITLE_NAME = "Отправка отчета";
        // доступна  всем зарегистрированным  пользователям
        public const string NAVIGATION_LIST_PAGE_URL = "~/Pages/Navigation.aspx";
        public const string NAVIGATION_LIST_PAGE_NAME = "Navigation.aspx";
        public const string NAVIGATION_LIST_PAGE_SHORT_NAME = "Navigation";
        public const string NAVIGATION_LIST_PAGE_TITLE_NAME = "Навигация";
        // доступна только адмистраторам
        public const string USERS_PAGE_URL = "~/Pages/Admin/Users.aspx";
        public const string USERS_PAGE_NAME = "Admin/Users.aspx";
        public const string USERS_PAGE_SHORT_NAME = "Admin/Users";
        public const string USERS_PAGE_TITLE_NAME = "Пользователи";
        // доступна только адмистраторам
        public const string LOGOUTS_PAGE_URL = "~/Pages/Admin/LogOuts.aspx";
        public const string LOGOUTS_PAGE_NAME = "Admin/LogOuts.aspx";
        public const string LOGOUTS_PAGE_SHORT_NAME = "Admin/LogOuts";
        public const string LOGOUTS_PAGE_TITLE_NAME = "Логи приложения";
        // доступна только адмистраторам
        public const string CHANGE_USER_PAGE_URL = "~/Pages/Admin/ChangeUser.aspx";
        public const string CHANGE_USER_PAGE_NAME = "Admin/ChangeUser.aspx";
        public const string CHANGE_USER_PAGE_SHORT_NAME = "Admin/ChangeUser";
        public const string CHANGE_USER_PAGE_TITLE_NAME = "Пользователь";
        // доступна  всем зарегистрированным  пользователям
        public const string CHANGE_USER_PASSWORD_PAGE_URL = "~/Pages/Admin/ChangePassword.aspx";
        public const string CHANGE_USER_PASSWORD_PAGE_NAME = "Admin/ChangePassword.aspx";
        public const string CHANGE_USER_PASSWORD_PAGE_SHORT_NAME = "Admin/ChangePassword";
        public const string CHANGE_USER_PASSWORD_PAGE_TITLE_NAME = "Смена пароля";
        // доступна только адмистраторам
        public const string MANAGER_USERS_PAGE_URL = "~/Pages/Admin/ManagerUsers.aspx";
        public const string MANAGER_USERS_PAGE_NAME = "Admin/ManagerUsers.aspx";
        public const string MANAGER_USERS_PAGE_SHORT_NAME = "Admin/ManagerUsers";
        public const string MANAGER_USERS_PAGE_TITLE_NAME = "Права пользователей";
        // доступна только адмистраторам
        public const string CHANGE_MANAGER_USER_PAGE_URL = "~/Pages/Admin/ChangeManagerUser.aspx";
        public const string CHANGE_MANAGER_USER_PAGE_NAME = "Admin/ChangeManagerUser.aspx";
        public const string CHANGE_MANAGER_USER_PAGE_SHORT_NAME = "Admin/ChangeManagerUser";
        public const string CHANGE_MANAGER_USER_PAGE_TITLE_NAME = "Права пользователя";
        // доступна только адмистраторам
        public const string METRIC_LIST_PAGE_URL = "~/Pages/Directorys/MetricList.aspx";
        public const string METRIC_LIST_PAGE_NAME = "Directorys/MetricList.aspx";
        public const string METRIC_LIST_PAGE_SHORT_NAME = "Directorys/MetricList";
        public const string METRIC_LIST_PAGE_TITLE_NAME = "Показатели";
        // доступна только адмистраторам
        public const string CHANGE_METRIC_PAGE_URL = "~/Pages/Directorys/ChangeMetric.aspx";
        public const string CHANGE_METRIC_PAGE_NAME = "Directorys/ChangeMetric.aspx";
        public const string CHANGE_METRIC_PAGE_SHORT_NAME = "Directorys/ChangeMetric";
        public const string CHANGE_METRIC_PAGE_TITLE_NAME = "Показатель";
        // доступна только адмистраторам
        public const string DEPARTMENT_LIST_PAGE_URL = "~/Pages/Directorys/DepartmentList.aspx";
        public const string DEPARTMENT_LIST_PAGE_NAME = "Directorys/DepartmentList.aspx";
        public const string DEPARTMENT_LIST_PAGE_SHORT_NAME = "Directorys/DepartmentList";
        public const string DEPARTMENT_LIST_PAGE_TITLE_NAME = "Филиалы";
        // доступна только адмистраторам
        public const string CHANGE_DEPARTMENT_PAGE_URL = "~/Pages/Directorys/ChangeDepartment.aspx";
        public const string CHANGE_DEPARTMENT_PAGE_NAME = "Directorys/ChangeDepartment.aspx";
        public const string CHANGE_DEPARTMENT_PAGE_SHORT_NAME = "Directorys/ChangeDepartment";
        public const string CHANGE_DEPARTMENT_PAGE_TITLE_NAME = "Филиал";
        // доступна только адмистраторам
        public const string DEPINCLUDEREGION_LIST_PAGE_URL = "~/Pages/Directorys/DepIncludeRegionList.aspx";
        public const string DEPINCLUDEREGION_LIST_PAGE_NAME = "Directorys/DepIncludeRegionList.aspx";
        public const string DEPINCLUDEREGION_LIST_PAGE_SHORT_NAME = "Directorys/DepIncludeRegionList";
        public const string DEPINCLUDEREGION_LIST_PAGE_TITLE_NAME = "Региональные дирекции";
        // доступна только адмистраторам
        public const string CHANGE_DEPINCLUDEREGION_PAGE_URL = "~/Pages/Directorys/ChangeDepIncludeRegion.aspx";
        public const string CHANGE_DEPINCLUDEREGION_PAGE_NAME = "Directorys/ChangeDepIncludeRegion.aspx";
        public const string CHANGE_DEPINCLUDEREGION_PAGE_SHORT_NAME = "Directorys/ChangeDepIncludeRegion";
        public const string CHANGE_DEPINCLUDEREGION_PAGE_TITLE_NAME = "Дирекции филиала";
        // доступна только адмистраторам
        public const string DEPLISTINPERIOD_LIST_PAGE_URL = "~/Pages/Directorys/DepListInPeriodList.aspx";
        public const string DEPLISTINPERIOD_LIST_PAGE_NAME = "Directorys/DepListInPeriodList.aspx";
        public const string DEPLISTINPERIOD_LIST_PAGE_SHORT_NAME = "Directorys/DepListInPeriodList";
        public const string DEPLISTINPERIOD_LIST_PAGE_TITLE_NAME = "Состав филиалов";
        // доступна только адмистраторам
        public const string CHANGE_DEPLISTINPERIOD_PAGE_URL = "~/Pages/Directorys/ChangeDepListInPeriod.aspx";
        public const string CHANGE_DEPLISTINPERIOD_PAGE_NAME = "Directorys/ChangeDepListInPeriod.aspx";
        public const string CHANGE_DEPLISTINPERIOD_PAGE_SHORT_NAME = "Directorys/ChangeDepListInPeriod";
        public const string CHANGE_DEPLISTINPERIOD_PAGE_TITLE_NAME = "Входящие филиалы";
        // доступна только адмистраторам
        public const string METRICLISTINPERIOD_LIST_PAGE_URL = "~/Pages/Directorys/MetricListInPeriodList.aspx";
        public const string METRICLISTINPERIOD_LIST_PAGE_NAME = "Directorys/MetricListInPeriodList.aspx";
        public const string METRICLISTINPERIOD_LIST_PAGE_SHORT_NAME = "Directorys/MetricListInPeriodList";
        public const string METRICLISTINPERIOD_LIST_PAGE_TITLE_NAME = "Состав показателей";
        // доступна только адмистраторам 
        public const string CHANGE_METRICLISTINPERIOD_PAGE_URL = "~/Pages/Directorys/ChangeMetricListInPeriod.aspx";
        public const string CHANGE_METRICLISTINPERIOD_PAGE_NAME = "Directorys/ChangeMetricListInPeriod.aspx";
        public const string CHANGE_METRICLISTINPERIOD_PAGE_SHORT_NAME = "Directorys/ChangeMetricListInPeriod";
        public const string CHANGE_METRICLISTINPERIOD_PAGE_TITLE_NAME = "Активные показатели";
        // доступна только адмистраторам
        public const string CHANGE_METRICFUNCTIONINPERIOD_PAGE_URL = "~/Pages/Directorys/ChangeMetricFunction.aspx";
        public const string CHANGE_METRICFUNCTIONINPERIOD_PAGE_NAME = "Directorys/ChangeMetricFunction.aspx";
        public const string CHANGE_METRICFUNCTIONINPERIOD_PAGE_SHORT_NAME = "Directorys/ChangeMetricFunction";
        public const string CHANGE_METRICFUNCTIONINPERIOD_PAGE_TITLE_NAME = "Состав расчетного выражения";
        // доступна только адмистраторам
        public const string REGION_LIST_PAGE_URL = "~/Pages/Directorys/RegionList.aspx";
        public const string REGION_LIST_PAGE_NAME = "Directorys/RegionList.aspx";
        public const string REGION_LIST_PAGE_SHORT_NAME = "Directorys/RegionList";
        public const string REGION_LIST_PAGE_TITLE_NAME = "Регионы";
        // доступна только адмистраторам
        public const string CHANGE_REGION_PAGE_URL = "~/Pages/Directorys/ChangeRegion.aspx";
        public const string CHANGE_REGION_PAGE_NAME = "Directorys/ChangeRegion.aspx";
        public const string CHANGE_REGION_PAGE_SHORT_NAME = "Directorys/ChangeRegion";
        public const string CHANGE_REGION_PAGE_TITLE_NAME = "Дирекция";
        // доступна зарегистрированным  пользователям кроме адмистраторов 
        public const string REPORTS_PARAMETER_LIST_PAGE_URL = "~/Pages/ReportsParameterList.aspx";
        public const string REPORTS_PARAMETER_LIST_PAGE_NAME = "ReportsParameterList.aspx";
        public const string REPORTS_PARAMETER_LIST_PAGE_SHORT_NAME = "ReportsParameterList";
        public const string REPORTS_PARAMETER_LIST_PAGE_TITLE_NAME = "Ввод данных";
        // доступна зарегистрированным  пользователям кроме адмистраторов 
        public const string CHANGE_REPORTS_PARAMETER_LIST_PAGE_URL = "~/Pages/ChangeReportsParameterLine.aspx";
        public const string CHANGE_REPORTS_PARAMETER_LIST_PAGE_NAME = "ChangeReportsParameterLine.aspx";
        public const string CHANGE_REPORTS_PARAMETER_LIST_PAGE_SHORT_NAME = "ChangeReportsParameterLine";
        public const string CHANGE_REPORTS_PARAMETER_LIST_PAGE_TITLE_NAME = "Отчет";
        // доступна зарегистрированным  пользователям кроме адмистраторов 
        public const string GET_REPORT_PARAMETER_FOR_RKCU_PAGE_URL = "~/Pages/Directorys/GetReportParameterForRKCU.aspx";
        public const string GET_REPORT_PARAMETER_FOR_RKCU_PAGE_NAME = "GetReportParameterForRKCU.aspx";
        public const string GET_REPORT_PARAMETER_FOR_RKCU_PAGE_SHORT_NAME = "GetReportParameterForRKCU";
        public const string GET_REPORT_PARAMETER_FOR_RKCU_PAGE_TITLE_NAME = "Отчет РКЦУ";
        // страницы ошибок
        // доступна для всех пользователей
        public const string ERROR404_PAGE_URL = "~/Pages/ErrorPage/Error403.aspx";
        public const string ERROR404_PAGE_NAME = "Error403.aspx";
        public const string ERROR404_PAGE_SHORT_NAME = "Error404";
        public const string ERROR404_PAGE_TITLE_NAME = "Error 404";
        // доступна для всех пользователей
        public const string ERROR504_PAGE_URL = "~/Pages/ErrorPage/Error504.aspx";
        public const string ERROR504_PAGE_NAME = "Error504.aspx";
        public const string ERROR504_PAGE_SHORT_NAME = "Error504";
        public const string ERROR504_PAGE_TITLE_NAME = "Error 504";

        public const string DEFAULT_PAGE_URL = NAVIGATION_LIST_PAGE_URL;

		#endregion Pages
        #region ButtonTitleNames

        public const string BUTTON_TITLE_REPORTS = "Отчеты";
        // доступна зарегистрированным  пользователям кроме адмистраторов 
        public const string CHANGE_REPORTPARAMETER_BLOCK_CHECK_REGION = "Заполнено дирекцией";
        public const string CHANGE_REPORTPARAMETER_BLOCK_UN_CHECK_REGION = "Не заполнено дирекцией";
        public const string CHANGE_REPORTPARAMETER_BLOCK_CHECK_DEPARTMENT = "Заполнено филиалом";
        public const string CHANGE_REPORTPARAMETER_BLOCK_UN_CHECK_DEPARTMENT = "Не заполнено филиалом";
        public const string CHANGE_REPORTPARAMETER_BLOCK_CHECK_ECONOMIC = "ПРИНЯТЬ";
        public const string CHANGE_REPORTPARAMETER_BLOCK_UN_CHECK_ECONOMIC = "ОТКЛОНИТЬ";

        #endregion ButtonTitleNames
    }
}