﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace KRO.Models
{
    public class DinamicFactLine
    {
        public int RegionDirectionID { get; set; }
        public long? FactID { get; set; }
        public double? FactYearPlan { get; set; }
        public double? FactCumulativePlan { get; set; }
        public double? FactMade { get; set; }
        public long FactFlag { get; set; }
        public DinamicFactLine(int ARegionDirectionID,
                               long? AFactID,
                               double? AFactYearPlan,
                               double? AFactCumulativePlan,
                               double? AFactMade,
                               long AFactFlag)
        {
            RegionDirectionID = ARegionDirectionID;
            FactID = AFactID;
            FactYearPlan = AFactYearPlan;
            FactCumulativePlan = AFactCumulativePlan;
            FactMade = AFactMade;
            FactFlag = AFactFlag;
        }
        public DinamicFactLine(int ARegionDirectionID)
        {
            RegionDirectionID = ARegionDirectionID;
            FactID = null;
            FactYearPlan = null;
            FactCumulativePlan = null;
            FactMade = null;
            FactFlag = 0;
        }
    }
}