﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace KRO.Contents
{   
    #region Constans
    public static class KROConstants
    {   
        //Session константы
        public const string SESSION_ACTIVE_USER_MODEL = "sessionactiveusermodel";
        public const string SESSION_CHANGE_METRICLISTINPERIOD_LINE = "sessionchangemetriclistinperiodline";
        public const string SESSION_CHANGE_REPORTPARAMETER_LINE = "sessionchangereportparameterline";
        public const string SESSION_CHANGE_REPORTPARAMETER_LINE_BLOCK = "sessionchangereportparameterlineblock";
        //Cookie константы
        public const string AUTHENTICATION_COOKIE_NAME = "KROcookie";
        public const string COOKIE_FIELD_USERNAME = "username";
        //Наименование роли администратора
        public const string ADMIN_ROLE_NAME = "Администратор";
        public const string ADMIN_ROLE_USER = "Пользователь";
        //Изображения для динамических контролов
        public const string IMAGE_NEW_RECORD = "~/Images/new.png";
        public const string IMAGE_EMTY_32    = "~/Images/emty.png";
        public const string IMAGE_LOCKED     = "~/Images/locked.png";
        public const string IMAGE_UNLOCK     = "~/Images/unlock.png";
        //Типы запроса для выборки списка пользователей в процедуре GetUsers
        public const int FORM_USERS_FOR_ADMIN = 1;
        public const int FORM_USERS_FOR_MANAGER = 2;
        //Статические консанты 
        public static string DatePasswordDefault = "01.01.2015 0:00:00";
        public static string DateCultureDefault = "dd.MM.yyyy m:hh:ss";
        public static string DateCultureSQL = "dd.MM.yyyy hh:mm:ss";
        public static int DatePasswordPeriodExecuting = 2; //срок действия пароля в годах
        //количество суток для вывода системных сообщений по умолчанию
        public static int LogOutDefultDateInterval = 7;
        //махимальное колво символов в полях DepartmentCode, DepartmentSort, RegionName, RegionCode таблиц Department, Region
        public static int MaxLegthCodeSort = 10;
        //Наименования столбцов динамического Grid в форме MetricList
        public static string HeaderFactYear = "Годовой план";
        public static string HeaderFactCumulative = "План нарастающим итогом";
        public static string HeaderFactMade = "Выполнение";
        //Наименования css class в заголовке таблицы MetricList
        public static string cssHeaderMetricListUnBlock             = "ssHeaderMetric";
        public static string cssSecondHeaderMetricListUnBlock       = "ssHeaderMetricSecond";
        public static string cssHeaderMetricListBlockEconomic       = "ssHeaderMetricRed";
        public static string cssSecondHeaderMetricListBlockEconomic = "ssHeaderMetricSecondRed";
        public static string cssHeaderMetricListBlockFilial         = "ssHeaderMetricViolet";
        public static string cssSecondHeaderMetricListBlockFilial   = "ssHeaderMetricSecondViolet";
        public static string cssHeaderMetricListBlockRegion         = "ssHeaderMetricGreen";
        public static string cssSecondHeaderMetricListBlockRegion   = "ssHeaderMetricSecondGreen";
        //Заголовки системных сообщений
        public static string MessageIncludedDepartment= "Состав действующих филиалов";
        public static string MessageIncludedMetric    = "Состав действующих показателей";
        public static string MessageIncludedMetricFunction = "Состав входящих показателей";
        public static string[] lgTypeLogMessage = { "Unknown", 
                                                    "Message", 
                                                    "Error",
                                                    "Update",
                                                    "Insert",
                                                    "Delete",
                                                    "ChangeFlag",
                                                    "New session",
                                                    "Out session"};
        //Системные сообщения
        public static string lgInsertUser                   = "Создание пользователя";
        public static string lgUpdateUser                   = "Обновление пользователя";
        public static string lgBlockUser                    = "Блокировка/разблокировка пользователя";
        public static string lgChangePasswordUser           = "Смена временного пароля";
        public static string lgNewSession                   = "Вход в систему";
        public static string lgErrorNewSession              = "Ошибка входа в систему";
        public static string lgOutSession                   = "Выход из системы";
        public static string lgInsertDepIncludeRegion       = "Создание списка дирекций в филиале";
        public static string lgUpdateDepIncludeRegion       = "Обновление списка дирекций в филиале";
        public static string lgInsertDepListInPeriod        = "Создание списка филиалов в периоде";
        public static string lgUpdateDepListInPeriod        = "Обновление списка филиалов в периоде";
        public static string lgInsertMetricListInPeriod     = "Создание списка показателей в периоде";
        public static string lgUpdateMetricListInPeriod     = "Обновление списка показателей в периоде";
        public static string lgInsertMetricFunctionInPeriod = "Изменение выражения показателя в периоде";
        public static string lgBlocReportParameter          = "Изменение параметров строки ввода данных";
        //блокировки отчета
        public static string lgReportCheckTitle               = "Подписан: ";
        public static string lgReportUnCheckTitle             = "Не подписаны дирекции: ";
        public static string lgReportUnCheckFullTitle         = "Не подписан: ";
        public static string lgReportCheckRegion              = "региональной дирекцией";
        public static string lgReportCheckFilial              = "филиалом/РЦКУ";
        public static string lgReportCheckEconomic            = "ЦА";
        public static string lgReportIsCheckRegion            = "Заполнено региональной дирекцией";
        public static string lgReportIsUnCheckRegion          = "Отмена заполнения региональной дирекцией";
        public static string lgReportIsCheckFilial            = "Заполнено филиалом";
        public static string lgReportIsUnCheckFilial          = "Отмена заполнения филиалом";
        public static string lgReportIsCheckEconomic          = "Принято департаментом экономики";
        public static string lgReportIsUnCheckEconomic        = "Отклонено департаментом экономики";
        public static string lgReportChangeFromMetricLictForm = "Статус отчета измененен из формы ввода пользователем: ";
        //наименование типов системных сообщений
        public static string lgExchangeUsersType = "Пользователи";
        public static string lgLogUserSessionType = "Сессии";
        //сообщения системных Exception для обработки результатов
        public static string fndExcpUserIndexError                                          = "IX_exclusive_user";
        public static string fndExcpDepIncludeRegionIndexError                              = "IX_DepPeriodIncludeRegion";
        public static string fndExcpDepListInPeriodIndexError                               = "IX_DepListInPeriod";
        public static string fndExcpMetricListInPeriodIndexError                            = "IX_MetricListInPeriod";
        public static string fndExcpMetricFunctionInPeriodIndexError                        = "IX_MetricFunctionInPeriod";
        public static string fndExcpBlockReportParameterReportParameterIDRegionIDIndexError = "IX_BlockReportParameter_ReportParameterIDRegionID";
        //пользовательские сообщения
        public static string msgFactDataAlreadyExistInLastPeriod = "Существуют отчеты датированные более поздним периодом. Операция отменена.";        
        //пользовательские сообщения об ошибках
        public static string msgUserIndexError                   = "Пользователь с таким логином и паролем уже существует. Операция отменена.";
        public static string msgDepIncludeRegionIndexError       = "Список дирекций данного филиала в указанном месяце уже существует. Операция отменена.";
        public static string msgDepListInPeriodIndexError        = "Список филиалов в указанном месяце уже существует. Операция отменена.";
        public static string msgMetricListInPeriodIndexError     = "Список показателей в указанном месяце уже существует. Операция отменена.";
        public static string msgMetricFunctionInPeriodIndexError = "Дублирование показателей в выражении. Операция отменена.";
        public static string msgUserParameterError               = "Не корректные данные. Попробуйте еще раз.";
        public static string msgUserUpdateError                  = "Ошибка сохранения. Проверьте корректность данных.";
        public static string msgMetricFunctionPrepearError      = "Не удалось открыть вычисляемое выражение. Сохраните список активных показателей.";


        public static string clRowDefaultCode = "#000000";
        public static string clRowBrownCode   = "#fcca97";
        public static string clRowGreenCode   = "#cafcca";
        public static string clRowYellowCode  = "#fcfc97";
        public static string clRowBlueCode    = "#cafcfc";
        public static string clRowGrayCode    = "#f5f5f5";
        //GridView команды
        public const string COMMAND_REPORTPARAMETER_SHOWREPORT = "ShowReport";
        public const string COMMAND_REPORTPARAMETER_BLOCKREPORT = "BlockReport";
        //ReportServer url and parameter
        public const string REPORTSERVER_URL = "http://87.255.254.62:2459/ReportServer/Pages/ReportViewer.aspx?/KRO/";
        public const string REPORTSERVER_REPORTNAME = "allDataOnlyActive";
        public const string REPORTSERVER_ALLDATAONLYACTIVE_FILIALBALANS = "filialBalans";
        public const string REPORTSERVER_ALLDATAONLYACTIVE_YEAR = "year";
        public const string REPORTSERVER_ALLDATAONLYACTIVE_MONTH = "month";
        public const string REPORTSERVER_ALLDATAONLYACTIVE_TYPE = "typeReport";
        public const string REPORTSERVER_ALLDATAONLYACTIVE_PARAMETER = "rc:Parameters=False";
        public const string REPORTSERVER_ALLDATAONLYACTIVE_ACTIVE_REGION_LIST = "regionList";
        public const string REPORTSERVER_ALLDATAONLYACTIVE_ACTIVE_DEPARTMENT_LIST = "departmentList";
        //Navigation Header title
        public const string NAVIGATION_USER_INPUT = "Данные";
        public const string NAVIGATION_USER_REPORT = "Отчеты";
    }
    #endregion
    #region Flags
    public static class KROFlag
    {   // работа с флагами
        // установка флага lFlag = lFlag | KROFlag.UserCheckAutoPassword
        // проверка флага (lFlag & KROFlag.UserCheckAutoPassword) == KROFlag.UserCheckAutoPassword
        // снятие флага lFlag &= ~KROFlag.UserCheckAutoPassword
        // флаги показателей (таблица Metrics)
        public const long flMetricWrite = 1; //Вводимый показатель
        public const long flMetricCalculations = 2; //Вычисляемый показатель
        public const long flMetricTextRow = 4; // текстовые данные
       /* public const long flMetricNegative = 8; // отрицательный показатель (флаг выведен после появления таблицы MetricFunctionInPeriod)*/
        public const long flMetricBrownColor = 16; //коричневый цвет отображения
        public const long flMetricGreenColor = 32; //зеленый цвет отображения
        public const long flMetricYellowColor = 64; //желтый цвет отображения
        public const long flMetricBlueColor = 128; //голубой цвет отображения
        // флаги регионов показателей (таблица Metrics) вертикальные столбцы
        public const long flMetricRegionBlockedInDinamicFactLine = 1; // флаг блокировки
        //флаги филиалов (таблица MetricFunctionInPeriod )
        public const int flMetricIDCheckedInFunction = 1; //показатель присутствует в выражении
        //флаги филиалов (таблица MetricIDInPeriod )
        public const int flMetricIDCheckedInPeriod = 1; //показатель существует в текущем периода
        //флаги филиалов (таблица DepartmentIDInPeriod )
        public const int flDepartmentIDCheckedInPeriod = 1; //филиал существует в текущем периода
        //флаги филиалов (таблица RegionDirectionsInPeriod )
        public const int flRegionDirectionCheckedInPeriod = 1; //Региональная дирекция существует в текущем периода
        //флаги филиалов (таблица Department грузятся в поле DepartmentCategory
        public const int flOnlyPerformerFlag = 1; // филиал содержит только исполнителей
        //флаги пользователей
        public const int flUserCheckAutoPassword = 1;  //признак автогенерации пароля пользователя
        public const int flUserAddNewReportParameter = 2;//разрешение редактирования параметров отчетов
        public const int flUserEconomicDepartment = 4; // принадлежит департаменту экономики ЦА для фиксирования состояний отчетов
        public const int flUserFilialDepartment = 8; // принадлежит филиалу для фиксирования состояний отчетов
        public const int flUserRegionDirection = 16; // принадлежит региональной дирекции для фиксирования состояний отчетов
        public const int flUserRCKU = 32; // принадлежит РЦКУ только для формирования отчетов
        //флаги таблиц UsersBalanceCheck и UserArtistCheck
        public const int flCheckRead = 1;
        public const int flCheckWrite= 2;
        public const int flCheckDepartment= 4; //подпись на уровне филиала
        public const int flCheckRegion = 8;    // подпись на уровне дирекции
        //флаги списка ввода данных (таблица ReportParameters грузятся в поле Flag
        public const int flReportIsCheckEconomic   = 1; // принято департаментом экономики (весь отчет заблокирован)
        public const int flReportIsCheckFilial = 2; // заполнено  филиалом  (часть отчета блокируется)
        public const int flReportIsCheckRegion = 4; // заполнено региональной дирекцией(часть отчета блокируется)
        //флаги таблицы LogOut
        public const int flLogExchangeUsers = 1;
        public const int flLogUserSession= 2;
        public const int flLogReportParameter = 4;
    }
    #endregion
    #region SQLs
    public static class KROSQLs
    {   //хранимые процедуры для ReportServer
    public static string GET_DEPARTMENTLIST_BY_USERID_MONTHID_YEARID_SP_NAME = "GetDepListWithAllRegionDirectionInPeriodForRKCUReportByUserIDMonthIDYearID";
        //выборо доступных региональных дирекций, для периода отчета и прав пользователя
    public static string SELECT_ALL_REPORTREGION_BY_REPORTPARAMETERID_AND_USERID_SP_NAME = "SelectAllReportRegionByReportParameterAndUserID";
    public static string SELECT_ALL_REPORTREGION_ONLYWRITE_BY_REPORTPARAMETERID_AND_USERID_SP_NAME = "[SelectAllReportRegionOnlyWritePermishionByReportParameterAndUserID]";
    public static string SELECT_ALL_REPORTREGION_ONLYREGIONPERMISHION_BY_REPORTPARAMETERID_AND_USERID_SP_NAME = "SelectAllReportRegionOnlyRegionPermishionByReportParameterAndUserID";
    public static string SELECT_ALL_BLOCK_REGION_BY_REPORTPARAMETERID_SP_NAME = "[SelectAllBlockRegionByReportParameterID]";
    public static string SELECT_ALL_UN_BLOCK_REGION_BY_REPORTPARAMETERID_SP_NAME =  "[SelectAllUnBlockRegionByReportParameterID]";
        // таблица MetricFunctionInPeriod - определяет состав формул вычисляемых показателей
    public static string SELECT_ALL_METRICFUNCTIONLIST_BY_METRICLISTINPERIODID_SP_NAME = "SelectAllMetricFunctionListByMetricLIstInPeriodID";
    public static string SELECT_ALL_METRICFUNCTIONLIST_BY_REPORTPARAMETERID_SP_NAME = "SelectAllMetricFunctionListByReportParameterID";
    public static string SELECT_ALL_METRICFUNCTIONINPERIOD_BY_METRICLISTPERIODID_AND_CALCMETRICID_SP_NAME = "SelectAllMetricFunctionInPeriodByMetricListInPeriodIDAndCalcMetricID";
    public static string SELECT_ALL_METRICFUNCTIONINPERIOD_BY_ACTUALDATE_AND_CALCMETRICID_SP_NAME = "SelectAllMetricFunctionInPeriodByActualDateAndCalcMetricID";
    public static string INSERT_METRICFUNCTIONINPERIOD_SP_NAME = "InsertMetricFunctionInPeriod";
    public static string UPDATE_METRICFUNCTIONINPERIOD_BY_ID_SP_NAME = "UpdateMetricFunctionInPeriodByID";
    public static string CLEAR_METRICFUNCTIONINPERIOD_BY_METRICLISTPERIODID_SP_NAME = "ClearMetricFunctionInPeriodByMetricListInPeriodID";
    public static string CLEAR_METRICFUNCTIONINPERIOD_BY_METRICLISTPERIODID_AND_CALCMETRICID_SP_NAME = "ClearMetricFunctionInPeriodByMetricListInPeriodIDAndCalculatedMetricID";
    public static string DELETE_METRICFUNCTIONINPERIOD_BY_ID_SP_NAME = "DeleteMetricFunctionInPeriodByID";
        // таблица MetricIDInPeriod - определяет  состав показателей от месяца формирования отчета
    public static string GET_ALREADY_EXIST_FACT_DATA_SP_NAME = "GetAlreadyExistFactDataInNextPeriod";
    public static string SELECT_ALL_METRIC_ID_IN_PERIOD_BY_METRICLISTPERIODID_SP_NAME = "SelectAllMetricIDInPeriodByMetricListInPeriodID";
    public static string SELECT_ALL_METRIC_ID_IN_PERIOD_BY_ACTUALDATE_SP_NAME = "SelectAllMetricIDInPeriodByActualDate";
    public static string SELECT_ALL_ONLYCHECKEDMETRICIDINPERIOD_BY_REPORTPARAMETERID_SP_NAME = "SelectAllOnlyCheckedMetricIDInPeriodByReportParameterID";
    public static string INSERT_METRIC_ID_IN_PERIOD_SP_NAME = "InsertMetricIDInPeriod";
    public static string UPDATE_METRIC_ID_IN_PERIOD_BY_ID_SP_NAME = "UpdateMetricIDInPeriodByID";
       // таблица MetricListInPeriod - определяет список активных показателей от месяца формирования отчета
    public static string SELECT_ALL_METRICLISTINPERIOD_SP_NAME = "SelectAllMetricListInPeriod";
    public static string SELECT_ALL_METRICLISTINPERIOD_BY_ACTUALDATE_SP_NAME = "SelectAllMetricListInPeriodByActualDate";
    public static string INSERT_METRICLISTINPERIOD_SP_NAME = "InsertMetricListInPeriod";
    public static string UPDATE_METRICLISTINPERIOD_BY_ID_SP_NAME = "UpdateMetricListInPeriodByID";
       // таблица показателей Metrics
    public static string SELECT_ALL_METRIC_SP_NAME = "SelectAllMetric";
    public static string SELECT_ALL_METRIC_WITHOUT_CALC_AND_TEXT_SP_NAME = "SelectAllMetricWithOutCalcAndText";
    public static string INSERT_METRIC_SP_NAME = "InsertMetric";
    public static string UPDATE_METRIC_BY_ID_SP_NAME = "UpdateMetricByID"; 
        // таблица DepartmentIDInPeriod - определяет  состав дирекций в филиале от месяца формирования отчета
    public static string SELECT_ALL_DEPARTMENT_ID_IN_PERIOD_BY_DEPLISTPERIODID_SP_NAME = "SelectAllDepartmentIDInPeriodByDepListInPeriodID";
    public static string SELECT_ALL_DEPARTMENT_ID_IN_PERIOD_BY_ACTUALDATE_SP_NAME = "SelectAllDepartmentIDInPeriodByActualDate";
    public static string INSERT_DEPARTMENT_ID_IN_PERIOD_SP_NAME = "InsertDepartmentIDInPeriod";
    public static string UPDATE_DEPARTMENT_ID_IN_PERIOD_BY_ID_SP_NAME ="UpdateDepartmentIDInPeriodByID"; 
        // таблица RegionDirectionsInPeriod - определяет  состав дирекций в филиале от месяца формирования отчета
    public static string SELECT_ALL_REGION_DIRECTION_IN_PERIOD_BY_DEPPERINCLID_SP_NAME = "SelectAllRegionDirectionsInPeriodByDepPerInclRegID";
    public static string SELECT_ALL_REGION_DIRECTION_IN_PERIOD_BY_DEPPERINCLID_AND_REGIONID_SP_NAME = "SelectAllRegionDirectionsInPeriodByDepPerInclRegIDAndRegionID";
    public static string SELECT_ALL_REGION_DIRECTION_IN_PERIOD_BY_ACTUALDATE_AND_DEPARTAMENTID_SP_NAME = "SelectAllRegionDirectionsInPeriodByActualDateAndDepartmentID";
    public static string INSERT_REGION_DIRECTION_IN_PERIOD_SP_NAME = "InsertRegionDirectionsInPeriod";
    public static string UPDATE_REGION_DIRECTION_IN_PERIOD_BY_ID_SP_NAME = "UpdateRegionDirectionsInPeriodByID";
       // таблица DepListInPeriod - определяет список активных филиалов от месяца формирования отчета
    public static string SELECT_ALL_DEPLISTINPERIOD_SP_NAME = "SelectAllDepListInPeriod";
    public static string SELECT_ALL_DEPLISTINPERIOD_BY_ACTUALDATE_SP_NAME = "SelectAllDepListInPeriodByActualDate";
    public static string INSERT_DEPLISTINPERIOD_SP_NAME = "InsertDepListInPeriod";
    public static string UPDATE_DEPLISTINPERIOD_BY_ID_SP_NAME = "UpdateDepListInPeriodByID";
       // таблица DepPeriodIncludeRegion - определяет  вхождение в филиал дирекций от месяца формирования отчета
    public static string SELECT_ALL_DEPARTMENT_PERIOD_INCLUDE_REGION_SP_NAME = "SelectAllDepPeriodIncludeRegion";
    public static string SELECT_ALL_DEPARTMENT_PERIOD_INCLUDE_REGION_BY_DEPARTMENT_ID_SP_NAME = "SelectAllDepPeriodIncludeRegionByDepartmentID";
    public static string SELECT_ALL_DEPARTMENT_PERIOD_INCLUDE_REGION_BY_ACTUALDATE_SP_NAME = "SelectAllDepPeriodIncludeRegionByActualDate";
    public static string INSERT_DEPARTMENT_PERIOD_INCLUDE_REGION_SP_NAME = "InsertDepPeriodIncludeRegion";
    public static string UPDATE_DEPARTMENT_PERIOD_INCLUDE_REGION_BY_ID_SP_NAME = "UpdateDepPeriodIncludeRegionByID";
        // таблица Department
    public static string INSERT_DEPARTMENT_SP_NAME = "InsertDepartment";
    public static string UPDATE_DEPARTMENT_SP_NAME = "UpdateDepartmentByID";
        // таблица Region
    public static string INSERT_REGION_SP_NAME = "InsertRegion";
    public static string UPDATE_REGION_SP_NAME = "UpdateRegionByID";
        // таблица LogOut
    public static string SELECT_ANY_LOG_MESSAGE_BY_DATE_SP_NAME = "SelectAllLogOuts";
    public static string INSERT_LOGUOT_SP_NAME = "InsertLogOut";
    public static string CLEAR_LOGOUT_SP_NAME = "ClearLogOut"; 
        // таблица ReportsParameter
    public static string SELECT_ALL_REPORTS_PARAMETER_SP_NAME = "SelectAllReportsParameter";
    public static string SELECT_ALL_REPORTS_PARAMETER_BYUSERIDANDBLOCK_SP_NAME = "SelectAllReportsParameterByUserIDAndBlock";
    public static string SELECT_ONE_REPORTS_PARAMETER_BY_ID_SP_NAME = "SelectOnlyOneReportParameterByID";
    public static string SELECT_ALL_BLOCKREPORTPARAMETERHISTORY_BY_REPORTPARAMETERID_SP_NAME = "SelectAllBlockReportParameterHistoryByReportParameterID";
    public static string INSERT_REPORTS_PARAMETER_SP_NAME = "InsertReportsParameter";
    public static string UPDATE_REPORTS_PARAMETER_SP_NAME = "UpdateReportsParameterByID";
    public static string UPDATE_ONLY_FLAG_REPORTS_PARAMETER_SP_NAME = "UpdateOnlyFlagReportsParameterByID";
        // таблица UsersBalanceCheck 
    public static string SELECT_USER_BALANCE_CHECK_SP_NAME = "SelectUserBalanceCheck";
    public static string INSERT_USER_BALANCE_CHECK_SP_NAME = "InsertUsersBalanceCheck";
    public static string UPDATE_USER_BALANCE_CHECK_SP_NAME = "UpdateUsersBalanceCheckByID";
        // таблица UserArtistCheck
    public static string SELECT_USER_ARTIST_CHECK_SP_NAME = "SelectUserArtistCheck";
    public static string INSERT_USER_ARTIST_CHECK_SP_NAME = "InsertUsersArtistCheck";
    public static string UPDATE_USER_ARTIST_CHECK_SP_NAME = "UpdateUsersArtistCheckByID";
        // таблица пользователей Users
    public static string SELECT_USERS_SP_NAME = "SelectAllUsers";
    public static string SELECT_MANAGER_USERS_SP_NAME = "SelectAllManagerUser";
    public static string SELECT_ONLY_ONE_USER_SP_NAME = "SelectOnlyOneUser";
    public static string DELETE_USER_SP_NAME = "DeleteUserByID";
    public static string NOT_DELETE_USER_QUERY = "UPDATE Users SET IsDeleted = 0 WHERE UserID = @UserID";
    public static string INSERT_USER_INTEGER_FORENT_KEY = "InsertUserByIntegerForentKey";
    public static string INSERT_USER_STRING_FORENT_KEY = "InsertUserByStringForentKey";
    public static string UPDATE_USER_INTEGER_FORENT_KEY = "UpdateUserByIntegerForentKey";
    public static string UPDATE_USER_STRING_FORENT_KEY = "UpdateUserByStringForentKey";
    public static string CHANGE_USER_PASSWORD = "ChangeUserPassword";
    // таблица хозяйств Farms
    public static string SelectAllFarmSQL =
       "SELECT [ID] " +
       ",[FarmName] " +
       ",[FarmSort] " +
       "FROM [KRO].[dbo].[Farm] " +
       "ORDER BY [FarmSort]";
    public static string SelectAllFarmSQLDesc =
       "SELECT [ID] " +
       ",[FarmName] " +
       ",[FarmSort] " +
       "FROM [KRO].[dbo].[Farm] " +
       "ORDER BY [FarmSort] DESC";
    // таблица категорий показателей MetricCategorys
    public static string SelectAllMetricCategorySQL =
       "SELECT [ID] " +
       ",[MetricCategoryName] " +
       "FROM [KRO].[dbo].[MetricCategorys] " +
       "ORDER BY [MetricCategoryName]";
    public static string SelectAllMetricCategorySQLDesc =
       "SELECT [ID] " +
       ",[MetricCategoryName] " +
       "FROM [KRO].[dbo].[MetricCategorys] " +
       "ORDER BY [MetricCategoryName] DESC";
      // таблица типов Type
    public static string SelectAllTypesSQL =
       "SELECT TOP 1000 [ID] " +
       ",[ViewType] " +
       ",[ReportName] " +
       "FROM [KRO].[dbo].[ViewType] ";
       // таблица департаментов Department
    public static string SelectAllDepartmentsSQL =
       "SELECT [ID] " +
       ",[DepartmentName] " +
       ",[DepartmentSort] " +
       ",[DepartmentCode] " +
       ",[DepartmentCategory] " +
       "FROM [KRO].[dbo].[Department] " +
       "ORDER BY [DepartmentSort]";
       // таблица годов Year
    public static string SelectAllYearsSQL =
       "SELECT [ID] " +
       ",[YearName] " +
       "FROM [KRO].[dbo].[YearName] " +
       "ORDER BY [YearName]";
    public static string SelectAllYearsSQLDesc =
       "SELECT [ID] " +
       ",[YearName] " +
       "FROM [KRO].[dbo].[YearName] " +
       "ORDER BY [YearName] DESC";
        // таблица месяцев Mounth
    public static string SelectAllMounthsSQL =
       "SELECT [ID] " +
       ",[MonthName] " +
       "FROM [KRO].[dbo].[MonthName] " +
       "ORDER BY [ID]";
        // таблица ролей Roles
    public static string SelectAllRolesSQL =
       "SELECT [RoleID] " +
              ",[RoleName] " +
              ",[Flag] " +
       "FROM [dbo].[Roles] " +
       "ORDER BY [RoleName]";
     public static string SelectRolesWithoutAdminSQL =
        "SELECT [RoleID] "+
               ",[RoleName] "+
               ",[Flag] "+
        "FROM [dbo].[Roles] "+
        "WHERE [RoleName] <> 'Admin' " +
        "ORDER BY [RoleName]";
        //таблица Region
     public static string SelectAllRegionSQL =
        "SELECT [ID] " +
              ",[RegionName] " +
              ",[RegionCode] " +
              ",[RegionSort] " +
        "FROM [KRO].[dbo].[Region] " +
        "WHERE [KRO].[dbo].[Region].[ID] <> 1 " +
        "ORDER BY [RegionSort] ";
        //таблица фактов Fact
     // Начало блока кусков динамического запроса таблицы Fact
    public static string DinamicSQLSelectFactSectionSelect =
     "SELECT "+
         "T1.[MetricID] "+
         ",T2.[MetricName] "+	  
         ",T2.[MetricScreenCode] "+
         ",T2.[MetricCode] "+
         ",T2.[MetricSort] "+
         ",T2.[FarmID] "+
         ",T2.[Flag] AS MetricFlag " +
         ",T1.[Flag] ";
    public static string DinamicSQLSelectFactSectionFrom = 
        "FROM [KRO].[dbo].[MetricIDInPeriod] as T1 "+
        "LEFT JOIN [KRO].[dbo].[Metrics] AS T2 on T1.[MetricID] = T2.ID ";
    public static string DinamicSQLSelectFactSectionWhere 
        = "WHERE (T1.[MetricListInPeriodID] = (SELECT TOP 1  T1.[ID] "+
                                  "FROM [KRO].[dbo].[MetricListInPeriod] AS T1 "+
                                    "LEFT JOIN [KRO].[dbo].[MonthName] AS T3 on T1.MounthID = T3.ID "+	
                                    "LEFT JOIN [KRO].[dbo].[YearName] AS T4 on T1.YearID = T4.ID "+ 
                                    "LEFT JOIN (select T6.MetricListInPeriodID, Count (T6.ID) AS MetricCount "+ 
                                               "from [KRO].[dbo].[MetricIDInPeriod] T6 "+ 
                                               "group by T6.MetricListInPeriodID) AS T5 on ((T1.ID = T5.MetricListInPeriodID) and (T5.MetricCount >0)) "+ 
                                    "where (DATEFROMPARTS(T4.[YearName],T3.[ID],1) <= ( SELECT TOP 1 "+ 
                                                                                        "DATEFROMPARTS(T31.[YearName],T30.[MonthID],2) "+     
                                                                                      "FROM [KRO].[dbo].[ReportsParameter] AS T30 "+
                                                                                      "LEFT JOIN [KRO].[dbo].[YearName] AS T31 ON T30.[YearID] = T31.[ID] "+
                                                                                      "WHERE T30.[ID] = @ReportParameterID)) and (T5.MetricCount >0) "+
                                    "Order by T4.[YearName] desc, T3.[ID] desc)) " +
          "AND (T1.[Flag] & 1 = 1) ";
    public static string DinamicSQLSelectFactSectionOrder = "ORDER BY T2.[MetricSort] ";
    public static string DinamicSQLSelectFactSectionAddRegionSelect =
      ",Fact@Number.[ID] as FactID@Number "+
      ",Fact@Number.[YearPlan] as FactYearPlan@Number " +
      ",Fact@Number.[CumulativePlan] as FactCumulativePlan@Number " +
      ",Fact@Number.[Made] as FactMade@Number ";
    public static string DinamicSQLSelectFactSectionAddRegionLeftJoin =
      "left join (SELECT [KRO].[dbo].[Fact].[ID] " +
          ",[KRO].[dbo].[Fact].[RegionID] " +
          ",[KRO].[dbo].[Fact].[MetricID] " +
          ",[KRO].[dbo].[Fact].[DepartmentID] " +
          ",[KRO].[dbo].[Fact].[ContractorID] " +
          ",[KRO].[dbo].[Fact].[MonthID] " +
          ",[KRO].[dbo].[Fact].[YearID] " +
          ",[KRO].[dbo].[Fact].[TypeID] " +
          ",[KRO].[dbo].[Fact].[YearPlan] " +
          ",[KRO].[dbo].[Fact].[CumulativePlan] " +
          ",[KRO].[dbo].[Fact].[Made] " +
      "FROM [KRO].[dbo].[Fact] " +
      "where   [KRO].[dbo].[Fact].[RegionID] = @Number " +
          "and [KRO].[dbo].[Fact].[DepartmentID] = @DepartmentID " +
          "and [KRO].[dbo].[Fact].[ContractorID] = @ContractorID " +
          "and [KRO].[dbo].[Fact].[MonthID] = @MonthID " +
          "and [KRO].[dbo].[Fact].[YearID] = @YearID " +
          "and [KRO].[dbo].[Fact].[TypeID] = @TypeID) as Fact@Number on T2.[ID] = Fact@Number.[MetricID] ";
    // Конец блока кусков динамического запроса таблицы Fact
    public static string InsertFactRowWithIDRecord = "dbo.InsertFactRowWithIDRecord";
    public static string UpdateFactOnlyValue =   "UPDATE [dbo].[Fact] "+
                                                 "SET [YearPlan] = @YearPlan "+
                                                  ",[CumulativePlan] = @CumulativePlan "+
                                                  ",[Made] = @Made "+
                                                  "WHERE [ID] = @FactID ";
    public static string DeleteFromFact = "DELETE FROM [dbo].[Fact] WHERE [ID] = @FactID ";
    public static string SELECT_ONLYONEFACTROW_SP_NAME = "SelectOnlyOneFactRow";
    }
    #endregion
}