﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ChangeUser.aspx.cs" Inherits="KRO.Pages.Admin.ChangeUser" MasterPageFile="~/Pages/MasterPage.Master"%>
<%@ PreviousPageType VirtualPath="~/Pages/Admin/Users.aspx"%>

<asp:Content ID="MainHead" runat="server" ContentPlaceHolderID="MainHead">
    <script type="text/javascript" src="../../Scripts/jquery-1.11.2.js"></script>
    <script type="text/javascript"> 
        $(document).ready(function () {
            $('#ContentPlaceFrameMain_tbPassword').attr('readonly', true);
            $('#ContentPlaceFrameMain_cbCheckAutoPassword').attr('disabled', true);
            SetEnableButton();
        });
        $(function () {
            $('#ContentPlaceFrameMain_tbFamily').change(function (event) {
                SetEnableButton();
            });
            $('#ContentPlaceFrameMain_tbPhone').change(function (event) {
                SetEnableButton();
            });
            $('#ContentPlaceFrameMain_tbLogin').change(function (event) {
                SetEnableButton();
            });
            $('#ContentPlaceFrameMain_tbPassword').change(function (event) {
                SetEnableButton();
            });
            $('#ContentPlaceFrameMain_ButtonGeneratePassword').click(function (event) {
                $('#ContentPlaceFrameMain_tbPassword').removeAttr('readonly').val($('#ContentPlaceFrameMain_tbPhone').val().toString());
                $('#ContentPlaceFrameMain_cbCheckAutoPassword').removeAttr('disabled').prop('checked', true);
                $('#ContentPlaceFrameMain_tbPassword').attr('readonly', true);
                SetMessage();
                SetEnableButton();
                event.preventDefault();
            });
        });
        function SetEnableButton() {
            if ((($('#ContentPlaceFrameMain_tbFamily').val() != null) && ($('#ContentPlaceFrameMain_tbFamily').val().toString().length > 0)) &&
                (($('#ContentPlaceFrameMain_tbPhone').val() != null) && ($('#ContentPlaceFrameMain_tbPhone').val().toString().length > 0)))
            {
                $('#ContentPlaceFrameMain_ButtonGeneratePassword').removeAttr('disabled');
            }
            else
            {
                $('#ContentPlaceFrameMain_ButtonGeneratePassword').attr('disabled', 'disabled');
            }
            if ((($('#ContentPlaceFrameMain_tbFamily').val() != null) && ($('#ContentPlaceFrameMain_tbFamily').val().toString().length > 0)) &&
                (($('#ContentPlaceFrameMain_tbLogin').val() != null) && ($('#ContentPlaceFrameMain_tbLogin').val().toString().length > 0)) &&
                (($('#ContentPlaceFrameMain_tbPassword').val() != null) && ($('#ContentPlaceFrameMain_tbPassword').val().toString().length > 0)))
            {
                $('#ContentPlaceFrameMain_ButtonApply').removeAttr('disabled');
            } else { $('#ContentPlaceFrameMain_ButtonApply').attr('disabled', 'disabled'); }
        }
        function SetMessage() {
            var lMessage = "";
            if ($('#ContentPlaceFrameMain_tbFamily').val() != null) {
                lMessage = $('#ContentPlaceFrameMain_tbFamily').val() + " " + $('#ContentPlaceFrameMain_tbFirstName').val() + " " + $('#ContentPlaceFrameMain_tbSecondName').val() + " для Вас создана учетрая запись: ";
            } else { lMessage = "Создана учетрая запись:" }
            $('#dvUserMessageFirst').text(lMessage);
            lMessage = "Логин: " + $('#ContentPlaceFrameMain_tbLogin').val();
            $('#dvUserMessageSecond').text(lMessage);
            lMessage = "Пароль: " + $('#ContentPlaceFrameMain_tbPassword').val();
            $('#dvUserMessageThird').text(lMessage);            
        }
    </script>
</asp:Content>
<asp:Content ID="Content0" runat="server" ContentPlaceHolderID="ContentPlaceTitle">
            <asp:Label ID="lblTitlePage" runat="server" Text="- Данные пользователя"></asp:Label>
</asp:Content>
<asp:Content ID="ContentPlaceFrameMain" runat="server" ContentPlaceHolderID="ContentPlaceFrameMain">
    <div id ="dvGridUser" style="display: table; margin: 10px auto; text-align: center;">
            <table>
            <tr>
				<td>
                </td> 
                <td>
                    <div style="padding: 5px; display: table; margin: 0 auto; text-align: left;">	
                    <br />
                    <table runat="server" style="width: 900px" >
                        <tr>
                            <td class ="tdChangeUser" colspan ="2" style="width: 40%"><asp:Label ID="lblFamily" runat="server" Text="Фамилия" CssClass="lblChangeUser"  Width="98%"></asp:Label></td>
				            <td class ="tdChangeUser" colspan ="2" style="width: 30%"><asp:Label ID="lblFirstName" runat="server" Text="Имя" CssClass="lblChangeUser"  Width="98%"></asp:Label></td>
                            <td class ="tdChangeUser" colspan ="2" style="width: 30%"><asp:Label ID="lblSecondName" runat="server" Text="Отчество" CssClass="lblChangeUser"  Width="98%"></asp:Label></td>
                        </tr>
                        <tr>			
                            <td class ="tdChangeUser" style="width: 38%"><asp:TextBox ID="tbFamily" runat="server" Text=""  CssClass="ssTextBoxChangeUser" Width="98%"></asp:TextBox></td>
                            <td class ="tdChangeUser" style="width: 2%"><asp:RequiredFieldValidator ID="rfvFamily" ControlToValidate="tbFamily" runat="server" ErrorMessage="*" ToolTip="Заполните поле" ForeColor="Red" ValidationGroup="vgApply"></asp:RequiredFieldValidator></td>
                            <td class ="tdChangeUser" style="width: 28%"><asp:TextBox ID="tbFirstName" runat="server" Text=""  CssClass="ssTextBoxChangeUser" Width="98%"></asp:TextBox></td>
                            <td class ="tdChangeUser" style="width: 2%">&nbsp;</td>					
                            <td class ="tdChangeUser" style="width: 28%"><asp:TextBox ID="tbSecondName" runat="server" Text=""  CssClass="ssTextBoxChangeUser" Width="98%"></asp:TextBox></td>
                            <td class ="tdChangeUser" style="width: 2%">&nbsp;</td>
                        </tr>			
			            <tr>
                            <td class ="tdChangeUser" colspan ="6" style="width: 100%"><asp:Label ID="lblOfficeName" runat="server" Text="Должность и отдел" CssClass="lblChangeUser"  Width="98%"></asp:Label></td>
				         </tr>
                        <tr>			
                            <td class ="tdChangeUser" colspan ="5" style="width: 98%"><asp:TextBox ID="tbOfficeName" runat="server" Text=""  CssClass="ssTextBoxChangeUser" Width="98%"></asp:TextBox></td>
                            <td class ="tdChangeUser" style="width: 2%">&nbsp;</td>
                        </tr>
			            <tr>
                            <td class ="tdChangeUser" colspan ="4" style="width: 70%"><asp:Label ID="lblMail" runat="server" Text="E-Mail" CssClass="lblChangeUser"  Width="98%"></asp:Label></td>
                            <td class ="tdChangeUser" colspan ="2" style="width: 30%"><asp:Label ID="lblPhone" runat="server" Text="Телефон" CssClass="lblChangeUser"  Width="98%"></asp:Label></td>
                        </tr>
                        <tr>			
                            <td class ="tdChangeUser" colspan ="3" style="width: 68%"><asp:TextBox ID="tbMail" runat="server" Text=""  CssClass="ssTextBoxChangeUser" Width="98%"></asp:TextBox></td>
                            <td class ="tdChangeUser" style="width: 2%">&nbsp;</td>
                            <td class ="tdChangeUser" style="width: 28%"><asp:TextBox ID="tbPhone" runat="server" Text=""  CssClass="ssTextBoxChangeUser" Width="98%"></asp:TextBox></td>
                            <td class ="tdChangeUser" style="width: 2%"><asp:RequiredFieldValidator ID="rtfPhone" ControlToValidate="tbPhone" runat="server" ErrorMessage="*" ToolTip="Заполните поле" ForeColor="Red" ValidationGroup="vgApply"></asp:RequiredFieldValidator></td>					
                        </tr>
                        <tr>
                            <td class ="tdChangeUser" colspan ="2" style="width: 40%"><asp:Label ID="lblLogin" runat="server" Text="Логин" CssClass="lblChangeUser" Width="98%"></asp:Label></td>
                            <td class ="tdChangeUser" colspan ="2" style="width: 30%"><asp:Label ID="lblPassword" runat="server" Text="Пароль" CssClass="lblChangeUser" Width="98%"></asp:Label></td>  
                            <td class ="tdChangeUser" colspan ="2" style="width: 30%"><asp:Label ID="lblFlag" runat="server" Text="Временный пароль" CssClass="lblChangeUser" Width="98%"></asp:Label></td>  
                        </tr>
                        <tr>
                            <td class ="tdChangeUser" style="width: 38%"><asp:TextBox ID="tbLogin" runat="server" Text=""  CssClass="ssTextBoxChangeUser" Width="98%"></asp:TextBox></td>
                            <td class ="tdChangeUser" style="width: 2%"><asp:RequiredFieldValidator ID="rfvLogin" ControlToValidate="tbLogin" runat="server" ErrorMessage="*" ToolTip="Заполните поле" ForeColor="Red" ValidationGroup="vgApply"></asp:RequiredFieldValidator></td>
                            <td class ="tdChangeUser" style="width: 28%"><asp:TextBox ID="tbPassword" runat="server" Text=""  CssClass="ssTextBoxChangeUser" Width="98%"></asp:TextBox></td>                
                            <td class ="tdChangeUser" style="width: 2%"><asp:RequiredFieldValidator ID="rfvPassword" ControlToValidate="tbPassword" runat="server" ErrorMessage="*" ToolTip="Сгенерируйте пароль" ForeColor="Red" ValidationGroup="vgApply"></asp:RequiredFieldValidator></td>			
                            <td class ="tdChangeUser" style="width: 28%"><asp:CheckBox ID="cbCheckAutoPassword" runat="server"/></td>                
                            <td class ="tdChangeUser" style="width: 2%">&nbsp;</td>			
                        </tr>			
                        <tr>
                            <td class ="tdChangeUser" colspan ="2" style="width: 40%"><asp:Label ID="lblDepartmentID" runat="server" Text="Филиал" CssClass="lblChangeUser" Width="98%"></asp:Label></td>               
                            <td class ="tdChangeUser" colspan ="2" style="width: 30%"><asp:Label ID="lblRole" runat="server" Text="Роль пользователя" CssClass="lblChangeUser" Width="98%"></asp:Label></td>   
			                <td class ="tdChangeUser" colspan ="2" style="width: 30%"><asp:Label ID="lblUserFlag" runat="server" Text="Полномочия пользователя" CssClass="lblChangeUser" Width="98%"></asp:Label></td>		
                        </tr>			
                        <tr>			
                            <td class ="tdChangeUser" style="width: 38%"><asp:DropDownList ID="ddlDepartment" runat="server" DataTextField="DepartmentName" DataValueField="DepartmentID" Width="98%"></asp:DropDownList></td>                
                            <td class ="tdChangeUser" style="width: 2%"><asp:RequiredFieldValidator ID="rfvDepartment" ControlToValidate="ddlDepartment" runat="server" ErrorMessage="*" ToolTip="Заполните поле" ForeColor="Red" ValidationGroup="vgApply"></asp:RequiredFieldValidator></td>                
                            <td class ="tdChangeUser" style="width: 28%"><asp:DropDownList ID="ddlRole" runat="server" DataTextField="RoleName" DataValueField="RoleID" Width="98%"></asp:DropDownList></td>                
                            <td class ="tdChangeUser" style="width: 2%"><asp:RequiredFieldValidator ID="rfvRole" ControlToValidate="ddlRole" runat="server" ErrorMessage="*" ToolTip="Заполните поле" ForeColor="Red" ValidationGroup="vgApply"></asp:RequiredFieldValidator></td>
                            <td class="tdChangeUser" style="width: 28%"><asp:CheckBox ID="cbCheckAddReportParameter" runat="server" Text="Создание форм ввода данных"/><br/>
                                                                        <asp:CheckBox ID="cbCheckRCKU" runat="server" Text="Пользователь РЦКУ"/></td>
				            <td class ="tdChangeUser" style="width: 2%">&nbsp;</td>
                        </tr>
                        <tr>			
                            <td class ="tdChangeUser" style="width: 38%">&nbsp;</td>                
                            <td class ="tdChangeUser" style="width: 2%">&nbsp;</td>                
                            <td class ="tdChangeUser" style="width: 28%">&nbsp;</td>                
                            <td class ="tdChangeUser" style="width: 2%">&nbsp;</td>
				            <td class ="tdChangeUser" style="width: 28%">
                                <asp:RadioButtonList ID="rbRule" runat="server">
                                <asp:ListItem Value="4">Работник ЦА</asp:ListItem>
                                <asp:ListItem Value="8">Работник филиала</asp:ListItem>
                                <asp:ListItem Value="16">Работник региональной дирекции</asp:ListItem>
                                </asp:RadioButtonList></td>
				            <td class ="tdChangeUser" style="width: 2%">&nbsp;</td>
                        </tr>			
                        <tr>
                            <td class ="tdChangeUser" colspan ="6" style="width: 100%; text-align: center;">&nbsp;<br/><asp:Label ID="lblExecuteError" runat="server" ForeColor="Red" Visible="False" Text="Ошибка сохранения. Проверьте корректность данных."></asp:Label><br/>&nbsp;</td>
                        </tr>
                        <tr>
                            <td class ="tdChangeUser" style="width: 38%"><asp:Button ID="ButtonApply" runat="server" ValidationGroup="vgApply" Width="100%" OnClick="ButtonApply_Click" Text="Сохранить" Enabled="False" /></td>
                            <td class ="tdChangeUser" style="width: 2%">&nbsp;</td>
                            <td class ="tdChangeUser" style="width: 28%"><asp:Button ID="ButtonGeneratePassword" runat="server" Width="100%" Text="Временный пароль" Enabled="False" /></td>    
                            <td class ="tdChangeUser" style="width: 2%">&nbsp;</td>
				            <td class ="tdChangeUser" style="width: 28%"><asp:Button ID="ButtonCancel" runat="server"  Width="100%" OnClick="ButtonCancel_Click" Text="Назад"/></td>
				            <td class ="tdChangeUser" style="width: 2%">&nbsp;</td>
                        </tr>
                    </table>
                    </div>
             </td>
             <td>
			 </td>   
			</tr>    
        </table>
    </div>
    <div style="display: table; margin: 10px auto; text-align: center;">
        <table>
            <tr>
			<td>
            </td> 
            <td style="text-align: left">
                    <div id="dvUserMessageFirst" style="margin: 0 auto; text-align: left;"> 
                    </div> 
                    <div id="dvUserMessageSecond" style="margin: 0 auto; text-align: left;"> 
                    </div>
                    <div id="dvUserMessageThird" style="margin: 0 auto; text-align: left;"> 
                    </div>
             </td>
             <td>
			 </td>   
			</tr>            
        </table>
    </div>
</asp:Content>
