﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ManagerUsers.aspx.cs" Inherits="KRO.Pages.Admin.ManagerUsers" MasterPageFile="~/Pages/MasterPage.Master"%>
<asp:Content ID="MainHead" runat="server" ContentPlaceHolderID="MainHead">
    <script type="text/javascript" src="../../Scripts/jquery-1.11.2.js"></script>
    <script type="text/javascript">
        $(function () {
            var $window = $(window),
                $dvstickheader = $('#dvGridUserHeader');
            dvstickheadertop = $dvstickheader.offset().top

            $window.scroll(function () {
                $dvstickheader.toggleClass('sticky', $window.scrollTop() > dvstickheadertop);
            });

            $('td.ssRowLabel').children().toggleClass('ssRowLabelOverflow', true);
        });
    </script>
</asp:Content>
<asp:Content ID="Content0" runat="server" ContentPlaceHolderID="ContentPlaceTitle">
            <asp:Label ID="lblTitlePage" runat="server" Text="- Права пользователей"></asp:Label>
</asp:Content>
<asp:Content ID="ContentPlaceFrameMain" runat="server" ContentPlaceHolderID="ContentPlaceFrameMain">
    <br/>
            <div id ="dvGridUserHeader" class="dvStickyHeader">
            <table>
            <tr>
				<td style="width:5%">
                </td> 
                <td>		            
            <asp:GridView ID="gvUserListHeader" runat="server" BackColor="White" BorderColor="#9e9e9e" 
            BorderStyle="Solid" BorderWidth="1px" ForeColor="Black" GridLines="Vertical" Font-Size="Small" AutoGenerateColumns="False"  
            ConvertEmptyStringToNull ="True" DataKeyNames="ID" OnDataBound="gvUserListHeader_DataBound"
            Width ="100%"  ShowHeaderWhenEmpty="True">
            <Columns>
                <asp:TemplateField HeaderText="ID" >
                    <ItemTemplate>
                        <asp:Label ID="lblID" runat="server" Text='<%# Eval("ID") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabelHidden" />
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Фамилия">
                    <ControlStyle Width="100px" />
                    <ItemTemplate>
                        <asp:Label ID="lblFamily" runat="server" Text='<%# Eval("Family") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Имя">
                    <ControlStyle Width="70px" />
                    <ItemTemplate>
                        <asp:Label ID="lblFirstName" runat="server" Text='<%# Eval("FirstName") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField>
               <asp:TemplateField HeaderText="Отчество">
                    <ControlStyle Width="80px" />
                    <ItemTemplate>
                        <asp:Label ID="lblSecondName" runat="server" Text='<%# Eval("SecondName") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField>               
               <asp:TemplateField HeaderText="Логин">
                    <ControlStyle Width="80px" />
                    <ItemTemplate>
                        <asp:Label ID="lblName" runat="server" Text='<%# Eval("Name") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField> 

               <asp:TemplateField HeaderText="Должность и отдел">
                    <ControlStyle Width="300px" />
                    <ItemTemplate>
                        <asp:Label ID="lblOfficeName" runat="server" Text='<%# Eval("OfficeName") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField> 
               <asp:TemplateField HeaderText="Телефон">
                    <ControlStyle Width="80px" />
                    <ItemTemplate>
                        <asp:Label ID="lblPhone" runat="server" Text='<%# Eval("Phone") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField> 
               <asp:TemplateField HeaderText="Почта">
                    <ControlStyle Width="80px" />
                    <ItemTemplate>
                        <asp:Label ID="lblEMail" runat="server" Text='<%# Eval("EMail") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField> 

               <asp:TemplateField HeaderText="Филиал">
                    <ControlStyle Width="150px" />
                    <ItemTemplate>
                        <asp:Label ID="lblUserDepartmentName" runat="server" Text='<%# Eval("UserDepartmentName") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField>
               <asp:TemplateField HeaderText="Роль">
                    <ControlStyle Width="100px" />
                    <ItemTemplate>
                        <asp:Label ID="lblUserRoleName" runat="server" Text='<%# Eval("UserRoleName") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField>
                <asp:CommandField ShowSelectButton="true" ButtonType="Image" SelectImageUrl="~/Images/edit.png" UpdateText="Редактировать">  
                <ItemStyle HorizontalAlign="left" CssClass="ssRowLabelImageRigth" /></asp:CommandField>       
            </Columns>
            <HeaderStyle CssClass="ssHeaderUnvisible" />
            <SelectedRowStyle CssClass="ssRowLabelSelected"/>
            </asp:GridView>
             </td>
             <td style="width:5%">
			 </td>   
			</tr>    
        </table>
        </div>
        <div id ="dvGridUser" class="dvStickyGrid">
        <table>
            <tr>
				<td style="width:5%">
                </td> 
                <td>	            
            <asp:GridView ID="GridViewUsersList" runat="server" BackColor="White" BorderColor="#9e9e9e" 
            BorderStyle="Solid" BorderWidth="1px" ForeColor="Black" GridLines="Vertical" Font-Size="Small" AutoGenerateColumns="False"  
            ConvertEmptyStringToNull ="True" DataKeyNames="ID" OnRowDataBound="GridViewUsersList_RowDataBound" 
            Width ="100%" OnSelectedIndexChanged="GridViewUsersList_SelectedIndexChanged"  
            EmptyDataText="Отсутствуют данные" ShowHeaderWhenEmpty="True">
            <Columns>
                <asp:TemplateField HeaderText="ID" >
                    <ItemTemplate>
                        <asp:Label ID="lblID" runat="server" Text='<%# Eval("ID") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabelHidden" />
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Фамилия">
                    <ControlStyle Width="100px" />
                    <ItemTemplate>
                        <asp:Label ID="lblFamily" runat="server" Text='<%# Eval("Family") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Имя">
                    <ControlStyle Width="70px" />
                    <ItemTemplate>
                        <asp:Label ID="lblFirstName" runat="server" Text='<%# Eval("FirstName") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField>
               <asp:TemplateField HeaderText="Отчество">
                    <ControlStyle Width="80px" />
                    <ItemTemplate>
                        <asp:Label ID="lblSecondName" runat="server" Text='<%# Eval("SecondName") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField>               
               <asp:TemplateField HeaderText="Логин">
                    <ControlStyle Width="80px" />
                    <ItemTemplate>
                        <asp:Label ID="lblName" runat="server" Text='<%# Eval("Name") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField> 

               <asp:TemplateField HeaderText="Должность и отдел">
                    <ControlStyle Width="300px" />
                    <ItemTemplate>
                        <asp:Label ID="lblOfficeName" runat="server" Text='<%# Eval("OfficeName") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField> 
               <asp:TemplateField HeaderText="Телефон">
                    <ControlStyle Width="80px" />
                    <ItemTemplate>
                        <asp:Label ID="lblPhone" runat="server" Text='<%# Eval("Phone") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField> 
               <asp:TemplateField HeaderText="Почта">
                    <ControlStyle Width="80px" />
                    <ItemTemplate>
                        <asp:Label ID="lblEMail" runat="server" Text='<%# Eval("EMail") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField> 

               <asp:TemplateField HeaderText="Филиал">
                    <ControlStyle Width="150px" />
                    <ItemTemplate>
                        <asp:Label ID="lblUserDepartmentName" runat="server" Text='<%# Eval("UserDepartmentName") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField>
               <asp:TemplateField HeaderText="Роль">
                    <ControlStyle Width="100px" />
                    <ItemTemplate>
                        <asp:Label ID="lblUserRoleName" runat="server" Text='<%# Eval("UserRoleName") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField>
                <asp:CommandField ShowSelectButton="true" ButtonType="Image" SelectImageUrl="~/Images/edit.png" UpdateText="Редактировать">  
                <ItemStyle HorizontalAlign="left" CssClass="ssRowLabelImageRigth" /></asp:CommandField>       
            </Columns>
            <HeaderStyle CssClass="ssHeaderUnvisible" />
            <SelectedRowStyle CssClass="ssRowLabelSelected"/>
            </asp:GridView>
             </td>
             <td style="width:5%">
			 </td>   
			</tr>    
        </table>
        </div>
</asp:Content>
