﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ChangeMetricListInPeriod.aspx.cs" Inherits="KRO.Pages.Directorys.ChangeMetricListInPeriod" MasterPageFile="~/Pages/MasterPage.Master"%>

<asp:Content ID="MainHead" runat="server" ContentPlaceHolderID="MainHead">
    <script type="text/javascript" src="../../Scripts/jquery-1.11.2.js"></script>
    <script type="text/javascript">
        $(function () {
            $('#ContentPlaceFrameMain_CheckAllMetric').click(function (event) {
                $('span.sscbCheckRead input').prop('checked', true);
                event.preventDefault();
            });
            $('#ContentPlaceFrameMain_UnCheckAllMetric').click(function (event) {
                $('span.sscbCheckRead input').prop('checked', false);
                event.preventDefault();
            });
        });
    </script>
</asp:Content>
<asp:Content ID="Content0" runat="server" ContentPlaceHolderID="ContentPlaceTitle">
            <asp:Label ID="lblTitlePage" runat="server" Text="- Активные показатели"></asp:Label>
</asp:Content>
<asp:Content ID="ContentPlaceFrameMain" runat="server" ContentPlaceHolderID="ContentPlaceFrameMain">
    <div id ="dvGridMetricListInPeriod" style="display: table; margin: 10px auto; text-align: center;">
        <br />
        <table runat="server" style="width: 100%; margin:10px 10px 10px 10px; 
               z-index: inherit;">
            <tr>
                <td class ="tdChangeMetricListInPeriod" style="width: 40%; vertical-align:top">				
                <table runat="server" style="width: 100%; margin:10px 10px 10px 0px; z-index: inherit; text-align: left;">                      
                <tr><td><asp:Label ID="lblMounth" runat="server" Text="Месяц:"></asp:Label>
                </td><td><asp:DropDownList ID="ddlMounth" runat="server" DataTextField="MounthName" DataValueField="MounthID"></asp:DropDownList>
                </td><td><asp:RequiredFieldValidator ID="rtfMounth" ControlToValidate="ddlMounth" runat="server" ErrorMessage="*" ToolTip="Выберите месяц" ForeColor="Red" ValidationGroup="vgApply"></asp:RequiredFieldValidator></td></tr>
                <tr><td><asp:Label ID="lblYear" runat="server" Text="Год:"></asp:Label>
                </td><td><asp:DropDownList ID="ddlYear" runat="server" DataTextField="YearName" DataValueField="YearID"></asp:DropDownList>
                </td><td><asp:RequiredFieldValidator ID="rtfYear" ControlToValidate="ddlYear" runat="server" ErrorMessage="*" ToolTip="Выберите год" ForeColor="Red" ValidationGroup="vgApply"></asp:RequiredFieldValidator></td></tr>
				</table>
				<br/>
				&nbsp;<asp:Label ID="lblExecuteError" runat="server" ForeColor="Red" Visible="False" Text="Ошибка сохранения. Проверьте корректность данных."></asp:Label><br/>&nbsp;
                  <table runat="server" style="width: 100%; margin:10px 10px 10px 0px; z-index: inherit;">                      
                      <tr><td><asp:Button ID="btnGenLastMetric" runat="server" ValidationGroup="vgApply" Width="100%"  Text="Получить последние настройки" OnClick="btnGenLastMetric_Click"/></td></tr>
                      <tr><td><asp:Button ID="CheckAllMetric" runat="server" ValidationGroup="vgApply" Width="100%"  Text="Выбрать все показатели"/></td></tr>
                      <tr><td><asp:Button ID="UnCheckAllMetric" runat="server" ValidationGroup="vgApply" Width="100%"  Text="Отменить все показатели"/></td></tr>
                      <tr><td><asp:Button ID="ButtonApply" runat="server" ValidationGroup="vgApply" Width="100%" OnClick="ButtonApply_Click" Text="Сохранить"/></td></tr>
                      <tr><td><asp:Button ID="ButtonUndo" runat="server" Width="100%"  Text="Отмена" OnClick="ButtonUndo_Click"/></td></tr>
                      <tr><td><asp:Button ID="ButtonCancel" runat="server"  Width="100%" OnClick="ButtonCancel_Click" Text="Назад"/></td></tr>
				   </table>
				</td>
				<td class ="tdChangeMetricListInPeriod" style="width: 60%; text-align:center">
                    <asp:Label ID="GridTitle" runat="server" Text="Список активных показателей" CssClass="lblChangeUser"></asp:Label><br/>
				
                    <asp:GridView ID="gvMetricListInPeriodCheckList" runat="server" BackColor="White" BorderColor="#9e9e9e"  
                                  BorderStyle="Solid" BorderWidth="1px" ForeColor="Black" GridLines="Vertical" Font-Size="Small" AutoGenerateColumns="False"  
                                  ConvertEmptyStringToNull ="True" DataKeyNames="MetricID" OnRowCreated="gvMetricListInPeriodCheckList_RowCreated"   
                                  ShowHeaderWhenEmpty="True" OnSelectedIndexChanged="gvMetricListInPeriodCheckList_SelectedIndexChanged" OnRowDataBound="gvMetricListInPeriodCheckList_RowDataBound">
                        <AlternatingRowStyle BackColor="#F7F9FC" />
                    <Columns>
                        <asp:TemplateField HeaderText="MetricID" >
                            <ItemTemplate>
                            <asp:Label ID="lblMetricID" runat="server" Text='<%# Eval("MetricID") %>'></asp:Label>
                            </ItemTemplate>
                        <ItemStyle HorizontalAlign="Right" CssClass="ssRowLabelHidden" />
                        </asp:TemplateField>                        
                        <asp:TemplateField HeaderText="№ п/п">
                            <ControlStyle Width="50px" />
                            <ItemTemplate>
                                <asp:Label ID="lblMetricScreenCode" runat="server" Text='<%# Eval("MetricScreenCode") %>'></asp:Label>
                            </ItemTemplate>
                            <ItemStyle HorizontalAlign="Left" CssClass="ssRowLabel" />
                        </asp:TemplateField>
                        <asp:TemplateField HeaderText="Наименование показателя">
                            <ControlStyle Width="300px" />
                            <ItemTemplate>
                                <asp:Label ID="lblMetricName" runat="server" Text='<%# Eval("MetricName") %>'></asp:Label>
                            </ItemTemplate>
                            <ItemStyle HorizontalAlign="Left" CssClass="ssRowLabel" />
                        </asp:TemplateField>
                        <asp:TemplateField HeaderText="Код">
                            <ControlStyle Width="100px" />
                            <ItemTemplate>
                                <asp:Label ID="lblMetricCode" runat="server" Text='<%# Eval("MetricCode") %>'></asp:Label>
                            </ItemTemplate>
                            <ItemStyle HorizontalAlign="Left" CssClass="ssRowLabel" />
                        </asp:TemplateField>                      
                        <asp:TemplateField HeaderText="Сортировка">
                            <ControlStyle Width="100px" />
                            <ItemTemplate>
                                <asp:Label ID="lblMetricSort" runat="server" Text='<%# Eval("MetricSort") %>'></asp:Label>
                            </ItemTemplate>
                            <ItemStyle HorizontalAlign="Left" CssClass="ssRowLabelHidden" />
                        </asp:TemplateField>
                        <asp:TemplateField HeaderText="Вычисляемый">
                            <ControlStyle Width="90px" />
                            <ItemTemplate>                                
                                <asp:CheckBox ID="cbMetricCalculated" runat="server" CssClass="sscbCheckWrite" Checked='<%# Eval("FlagMetricCalculated") %>' Enabled="False" />
                            </ItemTemplate>
                            <ItemStyle HorizontalAlign="Center" CssClass="ssRowLabel" />
                        </asp:TemplateField> 
                        <asp:TemplateField HeaderText="Включен">
                            <ControlStyle Width="90px" />
                            <ItemTemplate>                                
                                <asp:CheckBox ID="cbCheckMetric" runat="server" CssClass="sscbCheckRead" Checked='<%# Eval("MetricIDCheckedInPeriod") %>' />
                            </ItemTemplate>
                            <ItemStyle HorizontalAlign="Center" CssClass="ssRowLabel" />
                        </asp:TemplateField>          
                        <asp:CommandField ShowSelectButton="true" ButtonType="Image" SelectImageUrl="~/Images/edit_small.png" UpdateText="Формула" Visible="True">  
                        <ControlStyle/><ItemStyle HorizontalAlign="center"  CssClass="ssRowLabelImageRigth" Width="50px"/></asp:CommandField>            
                      </Columns>
                      <HeaderStyle CssClass="ssHeaderUnvisible" />
                    </asp:GridView>
				</td>
            </tr>
        </table>
    </div>
    <div style="display: table; margin: 10px auto; text-align: center;">
        <table>
            <tr>
			<td>
            </td> 
            <td style="text-align: left">
                    <div id="dvMetricListInPeriodMessageFirst" style="margin: 0 auto; text-align: left;"> 
                    </div> 
                    <div id="dvMetricListInPeriodMessageSecond" style="margin: 0 auto; text-align: left;"> 
                    </div>
                    <div id="dvMetricListInPeriodMessageThird" style="margin: 0 auto; text-align: left;"> 
                    </div>
             </td>
             <td>
			 </td>   
			</tr>            
        </table>
    </div>
</asp:Content>
