﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="DepListInPeriodList.aspx.cs" Inherits="KRO.Pages.Directorys.DepListInPeriodList"  MasterPageFile="~/Pages/MasterPage.Master"%>
<asp:Content ID="MainHead" runat="server" ContentPlaceHolderID="MainHead">
    <script type="text/javascript" src="../../Scripts/jquery-1.11.2.js"></script>
    <script type="text/javascript">
        $(function () {
            var $window = $(window),
                $dvstickheader = $('#dvGridDepListInPeriodHeader'),
                dvstickheadertop = $dvstickheader.offset().top;

            $window.scroll(function () {
                $dvstickheader.toggleClass('sticky', $window.scrollTop() > dvstickheadertop);
            });
            $('td.ssRowLabel').children().toggleClass('ssRowLabelOverflow', true);
        });
        $(function () {
            $('#ContentPlaceFrameMain_CheckAllDepartment').click(function (event) {
                $('span.sscbCheckRead input').prop('checked', true);
                event.preventDefault();
            });
            $('#ContentPlaceFrameMain_UnCheckAllDepartment').click(function (event) {
                $('span.sscbCheckRead input').prop('checked', false);
                event.preventDefault();
            });
        });
    </script>
</asp:Content>
<asp:Content ID="Content0" runat="server" ContentPlaceHolderID="ContentPlaceTitle">
    <asp:Label ID="lblTitlePage" runat="server" Text="- Активные филиалы"></asp:Label>
</asp:Content>
<asp:Content ID="ContentPlaceFrameMain" runat="server" ContentPlaceHolderID="ContentPlaceFrameMain">
    <br/>
       <div id ="dvCheckParameter" style="margin: 10px 0px 10px 50px; text-align: left;">
          <asp:CheckBox ID="cbOnlyActualDate" runat="server" AutoPostBack="True" Text="Отобразить список действующих правил на текущую дату" CssClass="sscbActualDate" Checked="true" OnCheckedChanged="cbOnlyActualDate_CheckedChanged" />
       </div>
            <div id ="dvGridDepListInPeriodHeader" class="dvStickyHeader">
            <table>
            <tr>
				<td style="width:5%">
                </td> 
                <td>		            
            <asp:GridView ID="gvDepListInPeriodListHeader" runat="server" BackColor="White" BorderColor="#9e9e9e" 
            BorderStyle="Solid" BorderWidth="1px" ForeColor="Black" GridLines="Vertical" Font-Size="Small" AutoGenerateColumns="False"  
            ConvertEmptyStringToNull ="True" DataKeyNames="ID" OnDataBound="gvDepListInPeriodListHeader_DataBound" 
            Width ="100%"  ShowHeaderWhenEmpty="True">
            <Columns>
                <asp:TemplateField HeaderText="ID" >
                    <ItemTemplate>
                        <asp:Label ID="lblIDHeader" runat="server" Text='<%# Eval("ID") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabelHidden" />
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Наименование">
                    <ControlStyle Width="350px" />
                    <ItemTemplate>
                        <asp:Label ID="lblNameHeader" runat="server" Text='<%# Eval("Name")%>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField>
               <asp:TemplateField HeaderText="Год">
                    <ControlStyle Width="90px" />
                    <ItemTemplate>
                        <asp:Label ID="lblYearHeader" runat="server" Text='<%# Eval("YearName") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField>
               <asp:TemplateField HeaderText="Месяц">
                    <ControlStyle Width="110px" />
                    <ItemTemplate>
                        <asp:Label ID="lblMounthHeader" runat="server" Text='<%# Eval("MounthName") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField>

                <asp:CommandField ShowSelectButton="true" ButtonType="Image" SelectImageUrl="~/Images/edit.png" UpdateText="Редактировать">  
                <ControlStyle Width="32px" /><ItemStyle HorizontalAlign="left" CssClass="ssRowLabelImageRigth" /></asp:CommandField>
             </Columns>
            <HeaderStyle CssClass="ssHeaderUnvisible" />
            <SelectedRowStyle CssClass="ssRowLabelSelected"/>
            </asp:GridView>
             </td>
             <td style="width:5%">
			 </td>   
			</tr>    
        </table>
        </div>
        <div id ="dvGridDepListInPeriod" class="dvStickyGrid">
        <table>
            <tr>
				<td style="width:5%">
                </td> 
                <td>
            <asp:GridView ID="gvDepListInPeriodsList" runat="server" BackColor="White" BorderColor="#9e9e9e" 
            BorderStyle="Solid" BorderWidth="1px" ForeColor="Black" GridLines="Vertical" Font-Size="Small" AutoGenerateColumns="False"  
            ConvertEmptyStringToNull ="True" DataKeyNames="ID" OnRowDataBound="gvDepListInPeriodsList_RowDataBound" 
            Width ="100%" OnSelectedIndexChanged="gvDepListInPeriodsList_SelectedIndexChanged"
            ShowHeaderWhenEmpty="True">
            <Columns>
                <asp:TemplateField HeaderText="ID" >
                    <ItemTemplate>
                        <asp:Label ID="lblID" runat="server" Text='<%# Eval("ID") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabelHidden" />
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Наименование">
                    <ControlStyle Width="350px" />
                    <ItemTemplate>
                        <asp:Label ID="lblName" runat="server" Text='<%# Eval("Name")%>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField>
               <asp:TemplateField HeaderText="Год">
                    <ControlStyle Width="90px" />
                    <ItemTemplate>
                        <asp:Label ID="lblYear" runat="server" Text='<%# Eval("YearName") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField>
               <asp:TemplateField HeaderText="Месяц">
                    <ControlStyle Width="110px" />
                    <ItemTemplate>
                        <asp:Label ID="lblMounth" runat="server" Text='<%# Eval("MounthName") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField>

                <asp:CommandField ShowSelectButton="true" ButtonType="Image" SelectImageUrl="~/Images/edit.png" UpdateText="Редактировать">  
                <ControlStyle Width="32px" /><ItemStyle HorizontalAlign="left" CssClass="ssRowLabelImageRigth" /></asp:CommandField>
             </Columns>
            <HeaderStyle CssClass="ssHeaderUnvisible" />
            <SelectedRowStyle CssClass="ssRowLabelSelected"/>
            </asp:GridView>
             </td>
             <td style="width:5%">
			 </td>   
			</tr>    
        </table>
        <br/>
        </div>
</asp:Content>
