﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="DepartmentList.aspx.cs" Inherits="KRO.Pages.Directorys.DepartmentList" MasterPageFile="~/Pages/MasterPage.Master"%>
<asp:Content ID="MainHead" runat="server" ContentPlaceHolderID="MainHead">
    <script type="text/javascript" src="../../Scripts/jquery-1.11.2.js"></script>
    <script type="text/javascript">
        $(function () {
            var $window = $(window),
                $dvstickheader = $('#dvGridDepartmentHeader'),
                dvstickheadertop = $dvstickheader.offset().top;

            $window.scroll(function () {
                $dvstickheader.toggleClass('sticky', $window.scrollTop() > dvstickheadertop);
            });
            $('td.ssRowLabel').children().toggleClass('ssRowLabelOverflow', true);

            $('#ContentPlaceFrameMain_tbName').change(function (event) {
                SetEnableButton();
            });
            $('#ContentPlaceFrameMain_tbCode').change(function (event) {
                SetEnableButton();
            });
            $('#ContentPlaceFrameMain_tbSort').change(function (event) {
                SetEnableButton();
            });
        });
        function SetEnableButton() {
         /*   if ((($('#ContentPlaceFrameMain_tbName').val() != null) && ($('#ContentPlaceFrameMain_tbName').val().toString().length > 0)) &&
                (($('#ContentPlaceFrameMain_tbCode').val() != null) && ($('#ContentPlaceFrameMain_tbCode').val().toString().length > 0)) &&
                (($('#ContentPlaceFrameMain_tbSort').val() != null) && ($('#ContentPlaceFrameMain_tbSort').val().toString().length > 0))) {
                $('#ContentPlaceFrameMain_ButtonApply').removeAttr('disabled');
            } else { $('#ContentPlaceFrameMain_ButtonApply').attr('disabled', 'disabled'); }*/
        }
    </script>
</asp:Content>
<asp:Content ID="Content0" runat="server" ContentPlaceHolderID="ContentPlaceTitle">
            <asp:Label ID="lblTitlePage" runat="server" Text="- Филиалы"></asp:Label>
</asp:Content>
<asp:Content ID="ContentPlaceFrameMain" runat="server" ContentPlaceHolderID="ContentPlaceFrameMain">
    <br/>
            <div id ="dvGridDepartmentHeader" class="dvStickyHeader">
            <table>
            <tr>
				<td style="width:5%">
                </td> 
                <td>		            
            <asp:GridView ID="gvDepartmentListHeader" runat="server" BackColor="White" BorderColor="#9e9e9e" 
            BorderStyle="Solid" BorderWidth="1px" ForeColor="Black" GridLines="Vertical" Font-Size="Small" AutoGenerateColumns="False"  
            ConvertEmptyStringToNull ="True" DataKeyNames="DepartmentID" OnDataBound="gvDepartmentListHeader_DataBound" 
            Width ="100%"  ShowHeaderWhenEmpty="True">
            <Columns>
                <asp:TemplateField HeaderText="ID" >
                    <ItemTemplate>
                        <asp:Label ID="lblIDHeader" runat="server" Text='<%# Eval("DepartmentID") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabelHidden" />
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Наименование">
                    <ControlStyle Width="400px" />
                    <ItemTemplate>
                        <asp:Label ID="lblNameHeader" runat="server" Text='<%# Eval("DepartmentName") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Код">
                    <ControlStyle Width="100px" />
                    <ItemTemplate>
                        <asp:Label ID="lblCodeHeader" runat="server" Text='<%# Eval("DepartmentCode") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField>
               <asp:TemplateField HeaderText="Сортировка">
                    <ControlStyle Width="100px" />
                    <ItemTemplate>
                        <asp:Label ID="lblSortHeader" runat="server" Text='<%# Eval("DepartmentSort") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField> 

                <asp:CommandField ShowSelectButton="true" ButtonType="Image" SelectImageUrl="~/Images/edit.png" UpdateText="Редактировать">  
                <ControlStyle Width="32px" /><ItemStyle HorizontalAlign="left" CssClass="ssRowLabelImageRigth" /></asp:CommandField>
             </Columns>
            <HeaderStyle CssClass="ssHeaderUnvisible" />
            <SelectedRowStyle CssClass="ssRowLabelSelected"/>
            </asp:GridView>
             </td>
             <td style="width:5%">
			 </td>   
			</tr>    
        </table>
        </div>
        <div id ="dvGridDepartment" class="dvStickyGrid">
        <table>
            <tr>
				<td style="width:5%">
                </td> 
                <td>
            <asp:GridView ID="gvDepartmentsList" runat="server" BackColor="White" BorderColor="#9e9e9e" 
            BorderStyle="Solid" BorderWidth="1px" ForeColor="Black" GridLines="Vertical" Font-Size="Small" AutoGenerateColumns="False"  
            ConvertEmptyStringToNull ="True" DataKeyNames="DepartmentID" OnRowDataBound="gvDepartmentsList_RowDataBound" 
            Width ="100%" OnSelectedIndexChanged="gvDepartmentsList_SelectedIndexChanged"
            ShowHeaderWhenEmpty="True">
            <Columns>
                <asp:TemplateField HeaderText="ID" >
                    <ItemTemplate>
                        <asp:Label ID="lblID" runat="server" Text='<%# Eval("DepartmentID") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabelHidden" />
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Наименование">
                    <ControlStyle Width="400px" />
                    <ItemTemplate>
                        <asp:Label ID="lblName" runat="server" Text='<%# Eval("DepartmentName") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Код">
                    <ControlStyle Width="100px" />
                    <ItemTemplate>
                        <asp:Label ID="lblCode" runat="server" Text='<%# Eval("DepartmentCode") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField>
               <asp:TemplateField HeaderText="Сортировка">
                    <ControlStyle Width="100px" />
                    <ItemTemplate>
                        <asp:Label ID="lblSort" runat="server" Text='<%# Eval("DepartmentSort") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField>  

                <asp:CommandField ShowSelectButton="true" ButtonType="Image" SelectImageUrl="~/Images/edit.png" UpdateText="Редактировать">  
                <ControlStyle Width="32px" /><ItemStyle HorizontalAlign="left" CssClass="ssRowLabelImageRigth" /></asp:CommandField>
             </Columns>
            <HeaderStyle CssClass="ssHeaderUnvisible" />
            <SelectedRowStyle CssClass="ssRowLabelSelected"/>
            </asp:GridView>
             </td>
             <td style="width:5%">
			 </td>   
			</tr>    
        </table>
        <br/>
        </div>
</asp:Content>
