﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="RegionList.aspx.cs" Inherits="KRO.Pages.Directorys.RegionList" MasterPageFile="~/Pages/MasterPage.Master"%>
<asp:Content ID="MainHead" runat="server" ContentPlaceHolderID="MainHead">
    <script type="text/javascript" src="../../Scripts/jquery-1.11.2.js"></script>
    <script type="text/javascript">
        $(function () {
            var $window = $(window),
                $dvstickheader = $('#dvGridRegionHeader'),
                dvstickheadertop = $dvstickheader.offset().top;

            $window.scroll(function () {
                $dvstickheader.toggleClass('sticky', $window.scrollTop() > dvstickheadertop);
            });
            $('td.ssRowLabel').children().toggleClass('ssRowLabelOverflow', true);

            $('#ContentPlaceFrameMain_tbName').change(function (event) {
                SetEnableButton();
            });
            $('#ContentPlaceFrameMain_tbCode').change(function (event) {
                SetEnableButton();
            });
            $('#ContentPlaceFrameMain_tbSort').change(function (event) {
                SetEnableButton();
            });
        });
        function SetEnableButton() {
          /*  if ((($('#ContentPlaceFrameMain_tbName').val() != null) && ($('#ContentPlaceFrameMain_tbName').val().toString().length > 0)) &&
                (($('#ContentPlaceFrameMain_tbCode').val() != null) && ($('#ContentPlaceFrameMain_tbCode').val().toString().length > 0)) &&
                (($('#ContentPlaceFrameMain_tbSort').val() != null) && ($('#ContentPlaceFrameMain_tbSort').val().toString().length > 0))) {
                $('#ContentPlaceFrameMain_ButtonApply').removeAttr('disabled');
            } else { $('#ContentPlaceFrameMain_ButtonApply').attr('disabled', 'disabled'); }*/
        }
    </script>
</asp:Content>
<asp:Content ID="Content0" runat="server" ContentPlaceHolderID="ContentPlaceTitle">
            <asp:Label ID="lblTitlePage" runat="server" Text="- Регионы"></asp:Label>
</asp:Content>
<asp:Content ID="ContentPlaceFrameMain" runat="server" ContentPlaceHolderID="ContentPlaceFrameMain">
    <br/>
            <div id ="dvGridRegionHeader" class="dvStickyHeader">
            <table>
            <tr>
				<td style="width:5%">
                </td> 
                <td>		            
            <asp:GridView ID="gvRegionListHeader" runat="server" BackColor="White" BorderColor="#9e9e9e" 
            BorderStyle="Solid" BorderWidth="1px" ForeColor="Black" GridLines="Vertical" Font-Size="Small" AutoGenerateColumns="False"  
            ConvertEmptyStringToNull ="True" DataKeyNames="RegionID" OnDataBound="gvRegionListHeader_DataBound"
            Width ="100%"  ShowHeaderWhenEmpty="True">
            <Columns>
                <asp:TemplateField HeaderText="ID" >
                    <ItemTemplate>
                        <asp:Label ID="lblIDHeader" runat="server" Text='<%# Eval("RegionID") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabelHidden" />
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Наименование">
                    <ControlStyle Width="300px" />
                    <ItemTemplate>
                        <asp:Label ID="lblNameHeader" runat="server" Text='<%# Eval("RegionName") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Код">
                    <ControlStyle Width="100px" />
                    <ItemTemplate>
                        <asp:Label ID="lblCodeHeader" runat="server" Text='<%# Eval("RegionCode") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField>
               <asp:TemplateField HeaderText="Сортировка">
                    <ControlStyle Width="100px" />
                    <ItemTemplate>
                        <asp:Label ID="lblSortHeader" runat="server" Text='<%# Eval("RegionSort") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField>  

                <asp:CommandField ShowSelectButton="true" ButtonType="Image" SelectImageUrl="~/Images/edit.png" UpdateText="Редактировать">  
                <ControlStyle Width="32px" /><ItemStyle HorizontalAlign="left" CssClass="ssRowLabelImageRigth" /></asp:CommandField>
             </Columns>
            <HeaderStyle CssClass="ssHeaderUnvisible" />
            <SelectedRowStyle CssClass="ssRowLabelSelected"/>
            </asp:GridView>
             </td>
             <td style="width:5%">
			 </td>   
			</tr>    
        </table>
        </div>
        <div id ="dvGridRegion" class="dvStickyGrid">
        <table>
            <tr>
				<td style="width:5%">
                </td> 
                <td>
            <asp:GridView ID="gvRegionsList" runat="server" BackColor="White" BorderColor="#9e9e9e" 
            BorderStyle="Solid" BorderWidth="1px" ForeColor="Black" GridLines="Vertical" Font-Size="Small" AutoGenerateColumns="False"  
            ConvertEmptyStringToNull ="True" DataKeyNames="RegionID" OnRowDataBound="gvRegionsList_RowDataBound" 
            Width ="100%" OnSelectedIndexChanged="gvRegionsList_SelectedIndexChanged"
            ShowHeaderWhenEmpty="True">
            <Columns>
                <asp:TemplateField HeaderText="ID" >
                    <ItemTemplate>
                        <asp:Label ID="lblID" runat="server" Text='<%# Eval("RegionID") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabelHidden" />
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Наименование">
                    <ControlStyle Width="300px" />
                    <ItemTemplate>
                        <asp:Label ID="lblName" runat="server" Text='<%# Eval("RegionName") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Код">
                    <ControlStyle Width="100px" />
                    <ItemTemplate>
                        <asp:Label ID="lblCode" runat="server" Text='<%# Eval("RegionCode") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField>
               <asp:TemplateField HeaderText="Сортировка">
                    <ControlStyle Width="100px" />
                    <ItemTemplate>
                        <asp:Label ID="lblSort" runat="server" Text='<%# Eval("RegionSort") %>'></asp:Label>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="left" CssClass="ssRowLabel" />
                </asp:TemplateField>  

                <asp:CommandField ShowSelectButton="true" ButtonType="Image" SelectImageUrl="~/Images/edit.png" UpdateText="Редактировать">  
                <ControlStyle Width="32px" /><ItemStyle HorizontalAlign="left" CssClass="ssRowLabelImageRigth" /></asp:CommandField>
             </Columns>
            <HeaderStyle CssClass="ssHeaderUnvisible" />
            <SelectedRowStyle CssClass="ssRowLabelSelected"/>
            </asp:GridView>
             </td>
             <td style="width:5%">
			 </td>   
			</tr>    
        </table>
        <br/>
        </div>
</asp:Content>
