﻿using System;
using KRO.Authentication;
using KRO.Contents;

namespace KRO.Pages
{
	public partial class Login : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            /*if (Page.IsPostBack)
            {
                txtPassword.Text = "";
            }*/
        }
		protected void btnLogin_Click(object sender, EventArgs e)
		{   
            User lUser;
			if (AuthenticationManager.LoginUser(Session, txtUserName.Text, txtPassword.Text, out lUser))
			{   //проверим просрочку действия даты
                if (lUser.DatePassword.AddYears(KROConstants.DatePasswordPeriodExecuting) < DateTime.Now)
                {   //выведем сообщение и грохнем User в сессии поскольку уже сохранили 
                    lblPasswordDateFailed.Visible = true;
                    AuthenticationManager.AddAuthenticationUserInSession(Session, new User());
                }
                else
                {   // если пароль не временный то все хорошо отправляем на дефалтную страницу в противном случае на страницу смены пароля
                    if ((lUser.UserFlag & KROFlag.flUserCheckAutoPassword) == KROFlag.flUserCheckAutoPassword)
                        Response.Redirect(Constants.CHANGE_USER_PASSWORD_PAGE_URL);
                    else
                        Response.Redirect(Constants.DEFAULT_PAGE_URL);
                }
			}
			else
			{
				lblAuthenticationError.Visible = true;
			}
		}
	}
}